GNU bug report logs - #49934
Hw-Probe

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: phodina <phodina@HIDDEN>; Keywords: patch; merged with #50283; dated Sat, 7 Aug 2021 22:00:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 9 Dec 2021 12:18:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 09 07:18:13 2021
Received: from localhost ([127.0.0.1]:42707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvINI-0007Dz-MD
	for submit <at> debbugs.gnu.org; Thu, 09 Dec 2021 07:18:13 -0500
Received: from out2.migadu.com ([188.165.223.204]:52814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1mvINE-0007Dp-HS
 for 49934 <at> debbugs.gnu.org; Thu, 09 Dec 2021 07:18:12 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1639052287;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=FiXTVzdlzzEtOaWC1MCFZp4xoQUpqaXWGTNgxl0DDxY=;
 b=TvwVviscF420Rbe/fcdHJ1cP9PrSSo808wHn94lyN+pwJNBU+XKYWhw6eeZSw0Y3iIPWvV
 qshtMU+L/stjZVLukiofkUT/Ddt+xN5bvFAOMhFDbgyk95TBNxEEgVY/ae8xSfLKFzFwtE
 y7p3vPDKTU6gYt/OrzgsQpBOvkhNTNZkDN9cGS7wlZ0WRdSNFF85+bUDRwfFpfBYXpjoUp
 a/6qHb8dfHGpKoIOKp3WTJgxlpOBB8jFKDIxb4XQ1Fmmkk4RLqaaXWNVGiIjvnxRxpAehf
 Pl+S79iDK/N20dcGkWFGyv8ss/x6GMLBrB78yhgySDb0ZdmjQOtGgUY1tQMXgA==
From: Raghav Gururajan <rg@HIDDEN>
To: 49934 <at> debbugs.gnu.org
Subject: [PATCH v3] gnu: Add hw-probe.
Date: Thu,  9 Dec 2021 07:18:02 -0500
Message-Id: <20211209121802.952-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49934
Cc: Raghav Gururajan <rg@HIDDEN>, maximedevos@HIDDEN,
 Petr Hodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/hardware.scm (hw-probe): New variable.

Co-authored-by: Petr Hodina <phodina@HIDDEN>
---
 gnu/packages/hardware.scm | 495 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 495 insertions(+)

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index 46ac96d679..a56405c319 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -27,20 +27,29 @@
 (define-module (gnu packages hardware)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages avahi)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages check)
   #:use-module (gnu packages cpp)
   #:use-module (gnu packages crypto)
+  #:use-module (gnu packages cups)
   #:use-module (gnu packages curl)
+  #:use-module (gnu packages debian)
+  #:use-module (gnu packages disk)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages package-management)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages openldap)
   #:use-module (gnu packages pciutils)
@@ -52,8 +61,12 @@ (define-module (gnu packages hardware)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages scanner)
+  #:use-module (gnu packages security-token)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages video)
   #:use-module (gnu packages virtualization)
+  #:use-module (gnu packages vulkan)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xml)
@@ -61,6 +74,7 @@ (define-module (gnu packages hardware)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system meson)
+  #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -72,6 +86,487 @@ (define-module (gnu packages hardware)
 ;; This is a module for packages related to physical hardware that don't (yet)
 ;; have a more specific home like gps.scm, security-token.scm, &c.
 
+(define-public hw-probe
+  (package
+    (name "hw-probe")
+    (version "1.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/linuxhw/hw-probe")
+         (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1zyaardfw6r9nwxbkbb68hyl8719xn8sxpbgm7czkvsbjrim11n8"))))
+    (build-system perl-build-system)
+    (arguments
+     `(#:tests? #f                      ;no test target
+       #:imported-modules
+       (,@%perl-build-system-modules)
+       #:modules
+       ((guix build perl-build-system)
+        (guix build utils)
+        (srfi srfi-26))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out")))
+               ;; Correct install prefix.
+               (substitute* "Makefile"
+                 (("/usr") out)))
+             ;; Use absolute paths to referenced programs.
+             ;; FIXME: Some programs are to be patched successfully,
+             ;; and some other programs are to be packaged in Guix.
+             (substitute* "hw-probe.pl"
+               (("Cmd\\(\"acpi")
+                (format #f "Cmd(\"~a/bin/acpi"
+                        (assoc-ref inputs "acpi")))
+               (("Cmd\\(\"acpidump")
+                (format #f "Cmd(\"~a/bin/acpidump"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"acpixtract")
+                (format #f "Cmd(\"~a/bin/acpixtract"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"alsactl")
+                (format #f "Cmd(\"~a/bin/alsactl"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"amdconfig")
+               (format #f "Cmd(\"~a/bin/amdconfig"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"amixer")
+                (format #f "Cmd(\"~a/bin/amixer"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"apk")
+               (format #f "Cmd(\"~a/bin/apk"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"aplay")
+                (format #f "Cmd(\"~a/bin/aplay"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"arcconf")
+               (format #f "Cmd(\"~a/bin/arcconf"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"arecord")
+                (format #f "Cmd(\"~a/bin/arecord"
+                        (assoc-ref inputs "alsa-utils")))
+               (("Cmd\\(\"avahi-browse")
+                (format #f "Cmd(\"~a/bin/avahi-browse"
+                        (assoc-ref inputs "avahi")))
+               (("Cmd\\(\"biosdecode")
+                (format #f "Cmd(\"~a/sbin/biosdecode"
+                        (assoc-ref inputs "dmidecode")))
+               (("=cat")
+                (format #f "=~a/bin/cat"
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"chmod")
+                (format #f "Cmd(\"~a/bin/chmod"
+                        (assoc-ref inputs "coreutils")))
+               (("\"chmod\"")
+                (format #f "\"~a/bin/chmod\""
+                        (assoc-ref inputs "coreutils")))
+               (("\"chown\"")
+                (format #f "\"~a/bin/chown\""
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"cpuid")
+                (format #f "Cmd(\"~a/bin/cpuid"
+                        (assoc-ref inputs "cpuid")))
+               (("Cmd\\(\"cpupower")
+                (format #f "Cmd(\"~a/bin/cpupower"
+                        (assoc-ref inputs "cpupower")))
+               (("Cmd\\(\"curl")
+                (format #f "Cmd(\"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("Cmd = \"curl")
+                (format #f "Cmd = \"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("Cmd = \\(\"curl")
+                (format #f "Cmd = (\"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("\"date\"")
+                (format #f "\"~a/bin/date\""
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"dd")
+                (format #f "Cmd(\"~a/bin/dd"
+                        (assoc-ref inputs "coreutils")))
+               (("\"dd ")
+                (format #f "\"~a/bin/dd "
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"df")
+                (format #f "Cmd(\"~a/bin/df"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"dkms")
+               (format #f "Cmd(\"~a/bin/dkms"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"dmesg")
+                (format #f "Cmd(\"~a/bin/dmesg"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"dmidecode")
+                (format #f "Cmd(\"~a/sbin/dmidecode"
+                        (assoc-ref inputs "dmidecode")))
+               (("Cmd\\(\"dpkg")
+                (format #f "Cmd(\"~a/bin/dpkg"
+                        (assoc-ref inputs "dpkg")))
+               #;(("echo")
+               (format #f "~a/bin/echo"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"edid-decode")
+                (format #f "Cmd(\"~a/bin/edid-decode"
+                        (assoc-ref inputs "edid-decode")))
+               (("Cmd\\(\"efibootmgr")
+                (format #f "Cmd(\"~a/sbin/efibootmgr"
+                        (assoc-ref inputs "efibootmgr")))
+               (("Cmd\\(\"efivar")
+                (format #f "Cmd(\"~a/bin/efivar"
+                        (assoc-ref inputs "efivar")))
+               #;(("Cmd\\(\"eopkg")
+               (format #f "Cmd(\"~a/bin/eopkg"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"ethtool")
+                (format #f "Cmd(\"~a/sbin/ethtool"
+                        (assoc-ref inputs "ethtool")))
+               (("Cmd\\(\".*ethtool")
+                (format #f "Cmd(\"~a/sbin/ethtool"
+                        (assoc-ref inputs "ethtool")))
+               (("Cmd\\(\"fdisk")
+                (format #f "Cmd(\"~a/sbin/fdisk"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"fglrxinfo")
+               (format #f "Cmd(\"~a/bin/fglrxinfo"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"find")
+                (format #f "Cmd(\"~a/bin/find"
+                        (assoc-ref inputs "findutils")))
+               (("Cmd\\(\"findmnt")
+                (format #f "Cmd(\"~a/bin/findmnt"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd = \"findmnt")
+                (format #f "Cmd = \"~a/bin/findmnt"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"glxgears")
+                (format #f "Cmd(\"~a/bin/glxgears"
+                        (assoc-ref inputs "mesa-utils")))
+               (("Cmd\\(\"glxinfo")
+                (format #f "Cmd(\"~a/bin/glxinfo"
+                        (assoc-ref inputs "mesa-utils")))
+               #;(("grep")
+               (format #f "~a/bin/grep"
+               (assoc-ref inputs "grep")))
+               (("`head")
+                (format #f "`~a/bin/head"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"hciconfig")
+               (format #f "Cmd(\"~a/bin/hciconfig"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"hcitool")
+               (format #f "Cmd(\"~a/bin/hcitool"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"hddtemp")
+                (format #f "Cmd(\"~a/sbin/hddtemp"
+                        (assoc-ref inputs "hddtemp")))
+               (("Cmd\\(\"hdparm")
+                (format #f "Cmd(\"~a/sbin/hdparm"
+                        (assoc-ref inputs "hdparm")))
+               (("Cmd = \"hdparm")
+                (format #f "Cmd = \"~a/bin/hdparm"
+                        (assoc-ref inputs "hdparm")))
+               #;(("Cmd\\(\"hp-probe")
+               (format #f "Cmd(\"~a/bin/hp-probe"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"hwinfo")
+               (format #f "Cmd(\"~a/bin/hwinfo"
+               (assoc-ref inputs "hwinfo")))
+               #;(("Cmd = \"hwinfo")
+               (format #f "Cmd = \"~a/bin/hwinfo"
+               (assoc-ref inputs "hwinfo")))
+               (("Cmd\\(\"i2cdetect")
+                (format #f "Cmd(\"~a/sbin/i2cdetect"
+                        (assoc-ref inputs "i2c-tools")))
+               (("Cmd\\(\"iasl")
+                (format #f "Cmd(\"~a/bin/iasl"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"ifconfig")
+                (format #f "Cmd(\"~a/bin/ifconfig"
+                        (assoc-ref inputs "net-tools")))
+               (("Cmd\\(\"inxi")
+                (format #f "Cmd(\"~a/bin/inxi"
+                        (assoc-ref inputs "inxi")))
+               (("Cmd\\(\"iostat")
+                (format #f "Cmd(\"~a/bin/iostat"
+                        (assoc-ref inputs "sysstat")))
+               (("Cmd\\(\"ip")
+                (format #f "Cmd(\"~a/sbin/ip"
+                        (assoc-ref inputs "iproute2")))
+               (("Cmd\\(\".*ip")
+                (format #f "Cmd(\"~a/sbin/ip"
+                        (assoc-ref inputs "iproute2")))
+               (("Cmd\\(\"iw")
+                (format #f "Cmd(\"~a/sbin/iw"
+                        (assoc-ref inputs "iw")))
+               (("Cmd\\(\".*iw")
+                (format #f "Cmd(\"~a/sbin/iw"
+                        (assoc-ref inputs "iw")))
+               #;(("Cmd\\(\"iwconfig")
+               (format #f "Cmd(\"~a/bin/iwconfig"
+               (assoc-ref inputs "foobar")))
+               #;(("join")
+               (format #f "~a/bin/join"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"journalctl")
+               (format #f "Cmd(\"~a/bin/journalctl"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"ls")
+                (format #f "Cmd(\"~a/bin/ls"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"lsb_release")
+               (format #f "Cmd(\"~a/bin/lsb_release"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsblk")
+                (format #f "Cmd(\"~a/bin/lsblk"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd = \"lsblk")
+                (format #f "Cmd = \"~a/bin/lsblk"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"lscpu")
+                (format #f "Cmd(\"~a/bin/lscpu"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"lsinitrd")
+               (format #f "Cmd(\"~a/bin/lsinitrd"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsmod")
+                (format #f "Cmd(\"~a/bin/lsmod"
+                        (assoc-ref inputs "module-init-tools")))
+               (("Cmd\\(\"lspci")
+                (format #f "Cmd(\"~a/sbin/lspci"
+                        (assoc-ref inputs "pciutils")))
+               #;(("Cmd\\(\"lspnp")
+               (format #f "Cmd(\"~a/bin/lspnp"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsusb")
+                (format #f "Cmd(\"~a/bin/lsusb"
+                        (assoc-ref inputs "usbutils")))
+               (("Cmd\\(\"mcelog")
+                (format #f "Cmd(\"~a/sbin/mcelog"
+                        (assoc-ref inputs "mcelog")))
+               (("Cmd\\(\"md5sum")
+                (format #f "Cmd(\"~a/bin/md5sum"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"megactl")
+               (format #f "Cmd(\"~a/bin/megactl"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"memtester")
+                (format #f "Cmd(\"~a/bin/memtester"
+                        (assoc-ref inputs "memtester")))
+               (("Cmd\\(\"mmcli")
+                (format #f "Cmd(\"~a/bin/mmcli"
+                        (assoc-ref inputs "modem-manager")))
+               (("Cmd\\(\"modinfo")
+                (format #f "Cmd(\"~a/sbin/modinfo"
+                        (assoc-ref inputs "module-init-tools")))
+               #;(("Cmd\\(\"monitor-get-edid")
+               (format #f "Cmd(\"~a/bin/monitor-get-edid"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"mount")
+                (format #f "Cmd(\"~a/bin/mount"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"nm-tool")
+               (format #f "Cmd(\"~a/bin/nm-tool"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"nmcli")
+                (format #f "Cmd(\"~a/bin/nmcli"
+                        (assoc-ref inputs "network-manager")))
+               (("Cmd\\(\"numactl")
+                (format #f "Cmd(\"~a/bin/numactl"
+                        (assoc-ref inputs "numactl")))
+               (("Cmd\\(\"nvme")
+                (format #f "Cmd(\"~a/sbin/nvme"
+                        (assoc-ref inputs "nvme-cli")))
+               (("Cmd\\(\"opensc-tool")
+                (format #f "Cmd(\"~a/bin/opensc-tool"
+                        (assoc-ref inputs "opensc")))
+               #;(("Cmd\\(\"optirun")
+               (format #f "Cmd(\"~a/bin/optirun"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"pacman")
+               (format #f "Cmd(\"~a/bin/pacman"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"pstree")
+               (format #f "Cmd(\"~a/bin/pstree"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"rfkill")
+                (format #f "Cmd(\"~a/sbin/rfkill"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"route")
+                (format #f "Cmd(\"~a/bin/route"
+                        (assoc-ref inputs "net-tools")))
+               (("Cmd\\(\"rpm")
+                (format #f "Cmd(\"~a/bin/rpm"
+                        (assoc-ref inputs "rpm")))
+               (("Cmd\\(\"sane-find-scanner")
+                (format #f "Cmd(\"~a/bin/sane-find-scanner"
+                        (assoc-ref inputs "sane-backends")))
+               (("Cmd\\(\"scanimage")
+                (format #f "Cmd(\"~a/bin/scanimage"
+                        (assoc-ref inputs "sane-backends")))
+               (("Cmd\\(\"sensors")
+                (format #f "Cmd(\"~a/bin/sensors"
+                        (assoc-ref inputs "lm-sensors")))
+               #;(("sha512sum")
+               (format #f "~a/bin/sha512sum"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"slabtop")
+                (format #f "Cmd(\"~a/bin/slabtop"
+                        (assoc-ref inputs "procps")))
+               #;(("sleep")
+               (format #f "~a/bin/sleep"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"smartctl")
+                (format #f "Cmd(\"~a/sbin/smartctl"
+                        (assoc-ref inputs "smartmontools")))
+               (("Cmd = \"smartctl")
+                (format #f "Cmd = \"~a/bin/smartctl"
+                        (assoc-ref inputs "smartmontools")))
+               #;(("sort")
+               (format #f "~a/bin/sort"
+               (assoc-ref inputs "coreutils")))
+               #;(("split")
+               (format #f "~a/bin/split"
+               (assoc-ref inputs "coreutils")))
+               #;(("= stat")
+               (format #f "= ~a/bin/stat"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"superiotool")
+               (format #f "Cmd(\"~a/bin/superiotool"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"swupd")
+               (format #f "Cmd(\"~a/bin/swupd"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"systemctl")
+               (format #f "Cmd(\"~a/bin/systemctl"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"systemd-analyze")
+               (format #f "Cmd(\"~a/bin/systemd-analyze"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"top")
+                (format #f "Cmd(\"~a/bin/top"
+                        (assoc-ref inputs "procps")))
+               (("Cmd\\(\"udevadm")
+                (format #f "Cmd(\"~a/bin/udevadm"
+                        (assoc-ref inputs "eudev")))
+               (("Cmd\\(\"uname")
+                (format #f "Cmd(\"~a/bin/uname"
+                        (assoc-ref inputs "coreutils")))
+               #;(("unlink")
+               (format #f "~a/bin/unlink"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"update-alternatives")
+               (format #f "Cmd(\"~a/bin/update-alternatives"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"upower")
+                (format #f "Cmd(\"~a/bin/upower"
+                        (assoc-ref inputs "upower")))
+               (("Cmd\\(\"uptime")
+                (format #f "Cmd(\"~a/bin/uptime"
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"usb-devices")
+                (format #f "Cmd(\"~a/bin/usb-devices"
+                        (assoc-ref inputs "usbutils")))
+               (("Cmd\\(\"vainfo")
+                (format #f "Cmd(\"~a/bin/vainfo"
+                        (assoc-ref inputs "libva-utils")))
+               (("Cmd\\(\"vdpauinfo")
+                (format #f "Cmd(\"~a/bin/vdpauinfo"
+                        (assoc-ref inputs "vdpauinfo")))
+               (("Cmd\\(\"vulkaninfo")
+                (format #f "Cmd(\"~a/bin/vulkaninfo"
+                        (assoc-ref inputs "vulkan-tools")))
+               (("Cmd\\(\"xdpyinfo")
+                (format #f "Cmd(\"~a/bin/xdpyinfo"
+                        (assoc-ref inputs "xdpyinfo")))
+               (("Cmd\\(\"xinput")
+                (format #f "Cmd(\"~a/bin/xinput"
+                        (assoc-ref inputs "xinput")))
+               (("Cmd\\(\"xrandr")
+                (format #f "Cmd(\"~a/bin/xrandr"
+                        (assoc-ref inputs "xrandr")))
+               (("Cmd\\(\"xvinfo")
+                (format #f "Cmd(\"~a/bin/xvinfo"
+                        (assoc-ref inputs "xvinfo"))))))
+         (delete 'configure)
+         (add-after 'install 'wrap-programs
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin-dir (string-append out "/bin/"))
+                    (perl-lib (getenv "PERL5LIB")))
+               (for-each
+                (cut wrap-program <>
+                     `("PERL5LIB" ":" prefix (,perl-lib)))
+                (find-files bin-dir))))))))
+    (inputs
+     `(("acpi" ,acpi)
+       ("acpica" ,acpica)
+       ("alsa-utils" ,alsa-utils)
+       ("avahi" ,avahi)
+       ("bash-minimal" ,bash-minimal)
+       ("coreutils" ,coreutils)
+       ("cpuid" ,cpuid)
+       ("cpupower" ,cpupower)
+       ("curl" ,curl)
+       ("dmidecode" ,dmidecode)
+       ("dpkg" ,dpkg)
+       ("edid-decode" ,edid-decode)
+       ("efibootmgr" ,efibootmgr)
+       ("efivar" ,efivar)
+       ("eudev" ,eudev)
+       ("findutils" ,findutils)
+       ("grep" ,grep)
+       ("hddtemp" ,hddtemp)
+       ("hdparm" ,hdparm)
+       ("hplip" ,hplip-minimal)
+       ("i2c-tools" ,i2c-tools)
+       ("inxi" ,inxi)
+       ("iproute" ,iproute)
+       ("libva-utils" ,libva-utils)
+       ("lm-sensors" ,lm-sensors)
+       ("mcelog" ,mcelog)
+       ("memtester" ,memtester)
+       ("mesa-utils" ,mesa-utils)
+       ("modem-manager" ,modem-manager)
+       ("module-init-tools" ,module-init-tools)
+       ("net-tools" ,net-tools)
+       ("network-manager" ,network-manager)
+       ("numactl" ,numactl)
+       ("nvme-cli" ,nvme-cli)
+       ("opensc" ,opensc)
+       ("pciutils" ,pciutils)
+       ("perl-data-dumper" ,perl-data-dumper)
+       ("perl-digest-sha" ,perl-digest-sha)
+       ("perl-libwww" ,perl-libwww)
+       ;; ("pnputils" ,pnputils)
+       ("procps" ,procps)
+       ("rpm" ,rpm)
+       ("sane-backends" ,sane-backends)
+       ("smartmontools" ,smartmontools)
+       ("sysstat" ,sysstat)
+       ("upower" ,upower)
+       ("usbutils" ,usbutils)
+       ("util-linux" ,util-linux)
+       ("vdpauinfo" ,vdpauinfo)
+       ("vulkan-tools" ,vulkan-tools)
+       ("xdpyinfo" ,xdpyinfo)
+       ("xinput" ,xinput)
+       ("xrandr" ,xrandr)
+       ("xvinfo" ,xvinfo)))
+    (propagated-inputs
+     ;; FIXME: HwInfo needs to be patched in 'hw-probe.el'.
+     `(("hwinfo" ,hwinfo)))
+    (home-page "https://linux-hardware.org")
+    (synopsis "Hardware Probe")
+    (description "Hardware Probe is a tool to probe for hardware, check its
+operability and find drivers.")
+    (license license:lgpl2.1+)))
+
 (define-public hwinfo
   (package
     (name "hwinfo")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 9 Dec 2021 11:51:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 09 06:51:40 2021
Received: from localhost ([127.0.0.1]:42608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvHxb-0004HP-45
	for submit <at> debbugs.gnu.org; Thu, 09 Dec 2021 06:51:40 -0500
Received: from out1.migadu.com ([91.121.223.63]:25995)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1mvHxY-0004HF-NW
 for 49934 <at> debbugs.gnu.org; Thu, 09 Dec 2021 06:51:38 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1639050694;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=1WIYRN1+v6OMudsIpSOuBqAhEFVxTvRYAkpAsxVp7rQ=;
 b=I0XqFFQwo1B6JjTVPsNspw7jctC9uqAtulMaDJ2PVY14sYwls6URzYU7z4gIPw8gcxYuzB
 K6z8KUYH5z5pDTWPYOHj7srrQAoArO/BBIKZuPiVM17wpUpGf6CR+tAVBwI2x6YnGou9Zw
 sLFlapky8zwnAmF+Hg0Y+/Dd5nnMAf0tUC3b42SVTD0SPFdk+S6wD8QHID2IhXaVtB1sJ3
 vVY9IUIPmwLVw9Vm411Rf0BjDn5Leu4aNJMrE6eAA+6dqYxK8+lmsAwCbcR25OuJcQ8DFC
 Jj0eq+EEWAG7SiQF9ERYvCWw20Rywn8XArspegH08PJs1yZ5H9aUNdpE1OHtjA==
From: Raghav Gururajan <rg@HIDDEN>
To: 49934 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: Add hw-probe.
Date: Thu,  9 Dec 2021 06:51:30 -0500
Message-Id: <20211209115130.30786-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49934
Cc: Raghav Gururajan <rg@HIDDEN>, maximedevos@HIDDEN,
 Petr Hodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/hardware.scm (hw-probe): New variable.

Co-authored-by: Petr Hodina <phodina@HIDDEN>
---
 gnu/packages/hardware.scm | 494 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 494 insertions(+)

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index 46ac96d679..90c23af90b 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -27,20 +27,29 @@
 (define-module (gnu packages hardware)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages avahi)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages check)
   #:use-module (gnu packages cpp)
   #:use-module (gnu packages crypto)
+  #:use-module (gnu packages cups)
   #:use-module (gnu packages curl)
+  #:use-module (gnu packages debian)
+  #:use-module (gnu packages disk)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages package-management)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages openldap)
   #:use-module (gnu packages pciutils)
@@ -52,8 +61,12 @@ (define-module (gnu packages hardware)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages scanner)
+  #:use-module (gnu packages security-token)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages video)
   #:use-module (gnu packages virtualization)
+  #:use-module (gnu packages vulkan)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xml)
@@ -61,6 +74,7 @@ (define-module (gnu packages hardware)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system meson)
+  #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -72,6 +86,486 @@ (define-module (gnu packages hardware)
 ;; This is a module for packages related to physical hardware that don't (yet)
 ;; have a more specific home like gps.scm, security-token.scm, &c.
 
+;; NOTE: The program will lack some functionalities,
+;; until all reffered programs in 'hw-probe.pl' are packaged and patched.
+(define-public hw-probe
+  (package
+    (name "hw-probe")
+    (version "1.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/linuxhw/hw-probe")
+         (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1zyaardfw6r9nwxbkbb68hyl8719xn8sxpbgm7czkvsbjrim11n8"))))
+    (build-system perl-build-system)
+    (arguments
+     `(#:tests? #f                      ;no test target
+       #:imported-modules
+       (,@%perl-build-system-modules)
+       #:modules
+       ((guix build perl-build-system)
+        (guix build utils)
+        (srfi srfi-26))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out")))
+               ;; Correct install prefix.
+               (substitute* "Makefile"
+                 (("/usr") out)))
+             ;; Use absolute paths to referenced programs.
+             (substitute* "hw-probe.pl"
+               (("Cmd\\(\"acpi")
+                (format #f "Cmd(\"~a/bin/acpi"
+                        (assoc-ref inputs "acpi")))
+               (("Cmd\\(\"acpidump")
+                (format #f "Cmd(\"~a/bin/acpidump"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"acpixtract")
+                (format #f "Cmd(\"~a/bin/acpixtract"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"alsactl")
+                (format #f "Cmd(\"~a/bin/alsactl"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"amdconfig")
+               (format #f "Cmd(\"~a/bin/amdconfig"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"amixer")
+                (format #f "Cmd(\"~a/bin/amixer"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"apk")
+               (format #f "Cmd(\"~a/bin/apk"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"aplay")
+                (format #f "Cmd(\"~a/bin/aplay"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"arcconf")
+               (format #f "Cmd(\"~a/bin/arcconf"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"arecord")
+                (format #f "Cmd(\"~a/bin/arecord"
+                        (assoc-ref inputs "alsa-utils")))
+               (("Cmd\\(\"avahi-browse")
+                (format #f "Cmd(\"~a/bin/avahi-browse"
+                        (assoc-ref inputs "avahi")))
+               (("Cmd\\(\"biosdecode")
+                (format #f "Cmd(\"~a/sbin/biosdecode"
+                        (assoc-ref inputs "dmidecode")))
+               (("=cat")
+                (format #f "=~a/bin/cat"
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"chmod")
+                (format #f "Cmd(\"~a/bin/chmod"
+                        (assoc-ref inputs "coreutils")))
+               (("\"chmod\"")
+                (format #f "\"~a/bin/chmod\""
+                        (assoc-ref inputs "coreutils")))
+               (("\"chown\"")
+                (format #f "\"~a/bin/chown\""
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"cpuid")
+                (format #f "Cmd(\"~a/bin/cpuid"
+                        (assoc-ref inputs "cpuid")))
+               (("Cmd\\(\"cpupower")
+                (format #f "Cmd(\"~a/bin/cpupower"
+                        (assoc-ref inputs "cpupower")))
+               (("Cmd\\(\"curl")
+                (format #f "Cmd(\"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("Cmd = \"curl")
+                (format #f "Cmd = \"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("Cmd = \\(\"curl")
+                (format #f "Cmd = (\"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("\"date\"")
+                (format #f "\"~a/bin/date\""
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"dd")
+                (format #f "Cmd(\"~a/bin/dd"
+                        (assoc-ref inputs "coreutils")))
+               (("\"dd ")
+                (format #f "\"~a/bin/dd "
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"df")
+                (format #f "Cmd(\"~a/bin/df"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"dkms")
+               (format #f "Cmd(\"~a/bin/dkms"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"dmesg")
+                (format #f "Cmd(\"~a/bin/dmesg"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"dmidecode")
+                (format #f "Cmd(\"~a/sbin/dmidecode"
+                        (assoc-ref inputs "dmidecode")))
+               (("Cmd\\(\"dpkg")
+                (format #f "Cmd(\"~a/bin/dpkg"
+                        (assoc-ref inputs "dpkg")))
+               #;(("echo")
+               (format #f "~a/bin/echo"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"edid-decode")
+                (format #f "Cmd(\"~a/bin/edid-decode"
+                        (assoc-ref inputs "edid-decode")))
+               (("Cmd\\(\"efibootmgr")
+                (format #f "Cmd(\"~a/sbin/efibootmgr"
+                        (assoc-ref inputs "efibootmgr")))
+               (("Cmd\\(\"efivar")
+                (format #f "Cmd(\"~a/bin/efivar"
+                        (assoc-ref inputs "efivar")))
+               #;(("Cmd\\(\"eopkg")
+               (format #f "Cmd(\"~a/bin/eopkg"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"ethtool")
+                (format #f "Cmd(\"~a/sbin/ethtool"
+                        (assoc-ref inputs "ethtool")))
+               (("Cmd\\(\".*ethtool")
+                (format #f "Cmd(\"~a/sbin/ethtool"
+                        (assoc-ref inputs "ethtool")))
+               (("Cmd\\(\"fdisk")
+                (format #f "Cmd(\"~a/sbin/fdisk"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"fglrxinfo")
+               (format #f "Cmd(\"~a/bin/fglrxinfo"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"find")
+                (format #f "Cmd(\"~a/bin/find"
+                        (assoc-ref inputs "findutils")))
+               (("Cmd\\(\"findmnt")
+                (format #f "Cmd(\"~a/bin/findmnt"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd = \"findmnt")
+                (format #f "Cmd = \"~a/bin/findmnt"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"glxgears")
+                (format #f "Cmd(\"~a/bin/glxgears"
+                        (assoc-ref inputs "mesa-utils")))
+               (("Cmd\\(\"glxinfo")
+                (format #f "Cmd(\"~a/bin/glxinfo"
+                        (assoc-ref inputs "mesa-utils")))
+               #;(("grep")
+               (format #f "~a/bin/grep"
+               (assoc-ref inputs "grep")))
+               (("`head")
+                (format #f "`~a/bin/head"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"hciconfig")
+               (format #f "Cmd(\"~a/bin/hciconfig"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"hcitool")
+               (format #f "Cmd(\"~a/bin/hcitool"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"hddtemp")
+                (format #f "Cmd(\"~a/sbin/hddtemp"
+                        (assoc-ref inputs "hddtemp")))
+               (("Cmd\\(\"hdparm")
+                (format #f "Cmd(\"~a/sbin/hdparm"
+                        (assoc-ref inputs "hdparm")))
+               (("Cmd = \"hdparm")
+                (format #f "Cmd = \"~a/bin/hdparm"
+                        (assoc-ref inputs "hdparm")))
+               #;(("Cmd\\(\"hp-probe")
+               (format #f "Cmd(\"~a/bin/hp-probe"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"hwinfo")
+               (format #f "Cmd(\"~a/bin/hwinfo"
+               (assoc-ref inputs "hwinfo")))
+               #;(("Cmd = \"hwinfo")
+               (format #f "Cmd = \"~a/bin/hwinfo"
+               (assoc-ref inputs "hwinfo")))
+               (("Cmd\\(\"i2cdetect")
+                (format #f "Cmd(\"~a/sbin/i2cdetect"
+                        (assoc-ref inputs "i2c-tools")))
+               (("Cmd\\(\"iasl")
+                (format #f "Cmd(\"~a/bin/iasl"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"ifconfig")
+                (format #f "Cmd(\"~a/bin/ifconfig"
+                        (assoc-ref inputs "net-tools")))
+               (("Cmd\\(\"inxi")
+                (format #f "Cmd(\"~a/bin/inxi"
+                        (assoc-ref inputs "inxi")))
+               (("Cmd\\(\"iostat")
+                (format #f "Cmd(\"~a/bin/iostat"
+                        (assoc-ref inputs "sysstat")))
+               (("Cmd\\(\"ip")
+                (format #f "Cmd(\"~a/sbin/ip"
+                        (assoc-ref inputs "iproute2")))
+               (("Cmd\\(\".*ip")
+                (format #f "Cmd(\"~a/sbin/ip"
+                        (assoc-ref inputs "iproute2")))
+               (("Cmd\\(\"iw")
+                (format #f "Cmd(\"~a/sbin/iw"
+                        (assoc-ref inputs "iw")))
+               (("Cmd\\(\".*iw")
+                (format #f "Cmd(\"~a/sbin/iw"
+                        (assoc-ref inputs "iw")))
+               #;(("Cmd\\(\"iwconfig")
+               (format #f "Cmd(\"~a/bin/iwconfig"
+               (assoc-ref inputs "foobar")))
+               #;(("join")
+               (format #f "~a/bin/join"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"journalctl")
+               (format #f "Cmd(\"~a/bin/journalctl"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"ls")
+                (format #f "Cmd(\"~a/bin/ls"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"lsb_release")
+               (format #f "Cmd(\"~a/bin/lsb_release"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsblk")
+                (format #f "Cmd(\"~a/bin/lsblk"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd = \"lsblk")
+                (format #f "Cmd = \"~a/bin/lsblk"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"lscpu")
+                (format #f "Cmd(\"~a/bin/lscpu"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"lsinitrd")
+               (format #f "Cmd(\"~a/bin/lsinitrd"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsmod")
+                (format #f "Cmd(\"~a/bin/lsmod"
+                        (assoc-ref inputs "module-init-tools")))
+               (("Cmd\\(\"lspci")
+                (format #f "Cmd(\"~a/sbin/lspci"
+                        (assoc-ref inputs "pciutils")))
+               #;(("Cmd\\(\"lspnp")
+               (format #f "Cmd(\"~a/bin/lspnp"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsusb")
+                (format #f "Cmd(\"~a/bin/lsusb"
+                        (assoc-ref inputs "usbutils")))
+               (("Cmd\\(\"mcelog")
+                (format #f "Cmd(\"~a/sbin/mcelog"
+                        (assoc-ref inputs "mcelog")))
+               (("Cmd\\(\"md5sum")
+                (format #f "Cmd(\"~a/bin/md5sum"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"megactl")
+               (format #f "Cmd(\"~a/bin/megactl"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"memtester")
+                (format #f "Cmd(\"~a/bin/memtester"
+                        (assoc-ref inputs "memtester")))
+               (("Cmd\\(\"mmcli")
+                (format #f "Cmd(\"~a/bin/mmcli"
+                        (assoc-ref inputs "modem-manager")))
+               (("Cmd\\(\"modinfo")
+                (format #f "Cmd(\"~a/sbin/modinfo"
+                        (assoc-ref inputs "module-init-tools")))
+               #;(("Cmd\\(\"monitor-get-edid")
+               (format #f "Cmd(\"~a/bin/monitor-get-edid"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"mount")
+                (format #f "Cmd(\"~a/bin/mount"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"nm-tool")
+               (format #f "Cmd(\"~a/bin/nm-tool"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"nmcli")
+                (format #f "Cmd(\"~a/bin/nmcli"
+                        (assoc-ref inputs "network-manager")))
+               (("Cmd\\(\"numactl")
+                (format #f "Cmd(\"~a/bin/numactl"
+                        (assoc-ref inputs "numactl")))
+               (("Cmd\\(\"nvme")
+                (format #f "Cmd(\"~a/sbin/nvme"
+                        (assoc-ref inputs "nvme-cli")))
+               (("Cmd\\(\"opensc-tool")
+                (format #f "Cmd(\"~a/bin/opensc-tool"
+                        (assoc-ref inputs "opensc")))
+               #;(("Cmd\\(\"optirun")
+               (format #f "Cmd(\"~a/bin/optirun"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"pacman")
+               (format #f "Cmd(\"~a/bin/pacman"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"pstree")
+               (format #f "Cmd(\"~a/bin/pstree"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"rfkill")
+                (format #f "Cmd(\"~a/sbin/rfkill"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"route")
+                (format #f "Cmd(\"~a/bin/route"
+                        (assoc-ref inputs "net-tools")))
+               (("Cmd\\(\"rpm")
+                (format #f "Cmd(\"~a/bin/rpm"
+                        (assoc-ref inputs "rpm")))
+               (("Cmd\\(\"sane-find-scanner")
+                (format #f "Cmd(\"~a/bin/sane-find-scanner"
+                        (assoc-ref inputs "sane-backends")))
+               (("Cmd\\(\"scanimage")
+                (format #f "Cmd(\"~a/bin/scanimage"
+                        (assoc-ref inputs "sane-backends")))
+               (("Cmd\\(\"sensors")
+                (format #f "Cmd(\"~a/bin/sensors"
+                        (assoc-ref inputs "lm-sensors")))
+               #;(("sha512sum")
+               (format #f "~a/bin/sha512sum"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"slabtop")
+                (format #f "Cmd(\"~a/bin/slabtop"
+                        (assoc-ref inputs "procps")))
+               #;(("sleep")
+               (format #f "~a/bin/sleep"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"smartctl")
+                (format #f "Cmd(\"~a/sbin/smartctl"
+                        (assoc-ref inputs "smartmontools")))
+               (("Cmd = \"smartctl")
+                (format #f "Cmd = \"~a/bin/smartctl"
+                        (assoc-ref inputs "smartmontools")))
+               #;(("sort")
+               (format #f "~a/bin/sort"
+               (assoc-ref inputs "coreutils")))
+               #;(("split")
+               (format #f "~a/bin/split"
+               (assoc-ref inputs "coreutils")))
+               #;(("= stat")
+               (format #f "= ~a/bin/stat"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"superiotool")
+               (format #f "Cmd(\"~a/bin/superiotool"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"swupd")
+               (format #f "Cmd(\"~a/bin/swupd"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"systemctl")
+               (format #f "Cmd(\"~a/bin/systemctl"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"systemd-analyze")
+               (format #f "Cmd(\"~a/bin/systemd-analyze"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"top")
+                (format #f "Cmd(\"~a/bin/top"
+                        (assoc-ref inputs "procps")))
+               (("Cmd\\(\"udevadm")
+                (format #f "Cmd(\"~a/bin/udevadm"
+                        (assoc-ref inputs "eudev")))
+               (("Cmd\\(\"uname")
+                (format #f "Cmd(\"~a/bin/uname"
+                        (assoc-ref inputs "coreutils")))
+               #;(("unlink")
+               (format #f "~a/bin/unlink"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"update-alternatives")
+               (format #f "Cmd(\"~a/bin/update-alternatives"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"upower")
+                (format #f "Cmd(\"~a/bin/upower"
+                        (assoc-ref inputs "upower")))
+               (("Cmd\\(\"uptime")
+                (format #f "Cmd(\"~a/bin/uptime"
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"usb-devices")
+                (format #f "Cmd(\"~a/bin/usb-devices"
+                        (assoc-ref inputs "usbutils")))
+               (("Cmd\\(\"vainfo")
+                (format #f "Cmd(\"~a/bin/vainfo"
+                        (assoc-ref inputs "libva-utils")))
+               (("Cmd\\(\"vdpauinfo")
+                (format #f "Cmd(\"~a/bin/vdpauinfo"
+                        (assoc-ref inputs "vdpauinfo")))
+               (("Cmd\\(\"vulkaninfo")
+                (format #f "Cmd(\"~a/bin/vulkaninfo"
+                        (assoc-ref inputs "vulkan-tools")))
+               (("Cmd\\(\"xdpyinfo")
+                (format #f "Cmd(\"~a/bin/xdpyinfo"
+                        (assoc-ref inputs "xdpyinfo")))
+               (("Cmd\\(\"xinput")
+                (format #f "Cmd(\"~a/bin/xinput"
+                        (assoc-ref inputs "xinput")))
+               (("Cmd\\(\"xrandr")
+                (format #f "Cmd(\"~a/bin/xrandr"
+                        (assoc-ref inputs "xrandr")))
+               (("Cmd\\(\"xvinfo")
+                (format #f "Cmd(\"~a/bin/xvinfo"
+                        (assoc-ref inputs "xvinfo"))))))
+         (delete 'configure)
+         (add-after 'install 'wrap-programs
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin-dir (string-append out "/bin/"))
+                    (perl-lib (getenv "PERL5LIB")))
+               (for-each
+                (cut wrap-program <>
+                     `("PERL5LIB" ":" prefix (,perl-lib)))
+                (find-files bin-dir))))))))
+    (inputs
+     `(("acpi" ,acpi)
+       ("acpica" ,acpica)
+       ("alsa-utils" ,alsa-utils)
+       ("avahi" ,avahi)
+       ("bash-minimal" ,bash-minimal)
+       ("coreutils" ,coreutils)
+       ("cpuid" ,cpuid)
+       ("cpupower" ,cpupower)
+       ("curl" ,curl)
+       ("dmidecode" ,dmidecode)
+       ("dpkg" ,dpkg)
+       ("edid-decode" ,edid-decode)
+       ("efibootmgr" ,efibootmgr)
+       ("efivar" ,efivar)
+       ("eudev" ,eudev)
+       ("findutils" ,findutils)
+       ("grep" ,grep)
+       ("hddtemp" ,hddtemp)
+       ("hdparm" ,hdparm)
+       ("hplip" ,hplip-minimal)
+       ("i2c-tools" ,i2c-tools)
+       ("inxi" ,inxi)
+       ("iproute" ,iproute)
+       ("libva-utils" ,libva-utils)
+       ("lm-sensors" ,lm-sensors)
+       ("mcelog" ,mcelog)
+       ("memtester" ,memtester)
+       ("mesa-utils" ,mesa-utils)
+       ("modem-manager" ,modem-manager)
+       ("module-init-tools" ,module-init-tools)
+       ("net-tools" ,net-tools)
+       ("network-manager" ,network-manager)
+       ("numactl" ,numactl)
+       ("nvme-cli" ,nvme-cli)
+       ("opensc" ,opensc)
+       ("pciutils" ,pciutils)
+       ("perl-data-dumper" ,perl-data-dumper)
+       ("perl-digest-sha" ,perl-digest-sha)
+       ("perl-libwww" ,perl-libwww)
+       ;; ("pnputils" ,pnputils)
+       ("procps" ,procps)
+       ("rpm" ,rpm)
+       ("sane-backends" ,sane-backends)
+       ("smartmontools" ,smartmontools)
+       ("sysstat" ,sysstat)
+       ("upower" ,upower)
+       ("usbutils" ,usbutils)
+       ("util-linux" ,util-linux)
+       ("vdpauinfo" ,vdpauinfo)
+       ("vulkan-tools" ,vulkan-tools)
+       ("xdpyinfo" ,xdpyinfo)
+       ("xinput" ,xinput)
+       ("xrandr" ,xrandr)
+       ("xvinfo" ,xvinfo)))
+    (propagated-inputs
+     `(("hwinfo" ,hwinfo)))
+    (home-page "https://linux-hardware.org")
+    (synopsis "Hardware Probe")
+    (description "Hardware Probe is a tool to probe for hardware, check its
+operability and find drivers.")
+    (license license:lgpl2.1+)))
+
 (define-public hwinfo
   (package
     (name "hwinfo")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 2 Oct 2021 09:58:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 02 05:58:33 2021
Received: from localhost ([127.0.0.1]:57889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWbmr-0006qV-6n
	for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 05:58:33 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:41030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mWbmo-0006qL-MY
 for 49934 <at> debbugs.gnu.org; Sat, 02 Oct 2021 05:58:31 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by xavier.telenet-ops.be with bizsmtp
 id 0xyU260050mfAB401xyUEC; Sat, 02 Oct 2021 11:58:28 +0200
Message-ID: <69104171347919696433d1cd0fe4040f0999c648.camel@HIDDEN>
Subject: Re: [bug#49934] [PATCH] gnu: Add hw-probe.
From: Maxime Devos <maximedevos@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>, 49934 <at> debbugs.gnu.org
Date: Sat, 02 Oct 2021 11:58:21 +0200
In-Reply-To: <20211001231901.24230-1-rg@HIDDEN>
References: <dv4hfMlNt3nZfXASs419gzeP1mFxIEOrH5yHul0FZWtEjR7Uv8ruRfTpr4ER4YkkvP0o8OQlqpe-lRZ4uwcztWBpayZU0GnmGOBDHyJEsps=@protonmail.com>
 <20211001231901.24230-1-rg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-CmsS1TPp2qjy7Q/wGgsg"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1633168708; bh=Nnv47QfjRCsz628eaCL/GxN9SU7Kq0uahlFzP3uscoU=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=K7B+m0T8eXWsCWBCBFaJ9JobGmU85ultDmfpeCIWFE17nY5pGF6M3JWH1tEzwY6zw
 22buBVbBUTHc8+ufJ8GLTd1PHvzyLkfSKsyTrue64UMXuINNbMRiqJcrmRTrFpToJk
 bDG7Fu852kA291IWeZtx3zP3b7DZzT7cr2myYegzlNypY620BPOY57FnZ1tc15pVfK
 Kp9qqDmraDNhgXxkzbfY2VHOdLX/7GFdn2FwdhrjOCDD0ZKKJD1gIy3Zx9ylNB+U7+
 /dEFcesvWydpgJOd8mPdVOuUp72pl49olB4sNOeFm0y39HUTSGRWsTcULb1youg/Kf
 tFV5NPANWS1Rg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49934
Cc: pelzflorian@HIDDEN, Petr Hodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-CmsS1TPp2qjy7Q/wGgsg
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Raghav Gururajan via Guix-patches via schreef op vr 01-10-2021 om 19:19 [-0=
400]:
> [...]
> +               (for-each
> +                (cut wrap-program <>
> +                     `("PERL5LIB" ":" prefix (,perl-lib)))
> +                (find-files bin-dir))))))))
> +    (inputs
> +     `(("acpi" ,acpi)
> +       ("acpica" ,acpica)
> +       ("alsa-utils" ,alsa-utils)
> +       ("avahi" ,avahi)

'wrap-program' is used, but 'bash-minimal' is not in 'inputs'.
"./pre-inst-env guix lint" should warn about this.

Greetings,
Maxime

--=-CmsS1TPp2qjy7Q/wGgsg
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYVgtPhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7uUzAQCXYkQnssm3KIFWjaGgc18ygvtc
J2v+dYkR+Xdk+vYniwD/e+4b5Dfa7/zuWf61JKWhPyzmVR2Qa0z8BDTzDi+xowk=
=r/D6
-----END PGP SIGNATURE-----

--=-CmsS1TPp2qjy7Q/wGgsg--





Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 1 Oct 2021 23:26:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 01 19:26:50 2021
Received: from localhost ([127.0.0.1]:57577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWRvV-0005Ik-Tu
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 19:26:50 -0400
Received: from out1.migadu.com ([91.121.223.63]:27755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1mWRvT-0005Ib-DN
 for 49934 <at> debbugs.gnu.org; Fri, 01 Oct 2021 19:26:48 -0400
To: 49934 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1633130805;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=IMXv/tfTx5tociC0xOIoCya7k0e+7oo26sAZsY9xjWg=;
 b=J6porXF72rAVcFyOgtFvnbdNamUP8ePsbSBBUxvrAu6LmOy8iO7eiO2zZIHFK1blPDzyVt
 p2Wbvh8DPQIR+Qzu3t+05LL93RdjapkfyWxZUvMcB+1lSBuVXtMnkWrjio6CqdgyOFVgVe
 xgHP1l49MKX1+ndwtAn7vAfOzex/ReYP2JBvaqyDkyPXsqhxFmnQilQYcMAtJEVp6jPvhG
 EXvaMF7H5D32NP20MkMCEMprW/ZRa1+T5lfZcacpDzXxtDH6R03j/iMtngYrJJ/S5tRNP1
 f5lMIjolSUeg65JZEwqZTchMFhNrjzBLprQql86NgQEzNTxU2QJM2PwMqafXlg==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: HwInfo
Message-ID: <3fa3d74e-ac03-e14b-ae5c-9ebe3cfca674@HIDDEN>
Date: Fri, 1 Oct 2021 19:26:42 -0400
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="PsTTveT6pYYXdyKSeoTzdg9A7E8g8bpkM"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49934
Cc: phodina <phodina@HIDDEN>,
 "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--PsTTveT6pYYXdyKSeoTzdg9A7E8g8bpkM
Content-Type: multipart/mixed; boundary="ciXNjaac2zL5huxgBlf8GS7pJE8p6L9VZ";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: 49934 <at> debbugs.gnu.org
Cc: phodina <phodina@HIDDEN>,
 "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Message-ID: <3fa3d74e-ac03-e14b-ae5c-9ebe3cfca674@HIDDEN>
Subject: Re: HwInfo

--ciXNjaac2zL5huxgBlf8GS7pJE8p6L9VZ
Content-Type: multipart/mixed;
 boundary="------------6E7F29DFC3E8CA1C3E815CBC"
Content-Language: en-CA

This is a multi-part message in MIME format.
--------------6E7F29DFC3E8CA1C3E815CBC
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi,

I have sent a patch for hw-probe (https://issues.guix.gnu.org/49934#9),=20
which requires some refinements.

[1] Some programs in the script are not patched, hence doesn't work in=20
pure environment.
[2] Synopsis and description has to be revised.
[3] Finding a way to avoid propagation of hw-info.

@phodina, Would you be able to hack on the above.

Regards,
RG.

--------------6E7F29DFC3E8CA1C3E815CBC
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsFC=
wkI
BwIGFQoJCAsCBBYCAwECHgECF4ACGQEWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYRS1pwIbI=
wAK
CRBfWBZkf4vlUbYYAQCe+UaQKTg+iaEL0XAuhyZgiMNpjoqrvlZCAb8ahNLe3AEA1/v+k2EjE=
ap/
lfeUSxuzy4MvYXxRRJMZ1C+qJs7MIgPNPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DooAX
-----END PGP PUBLIC KEY BLOCK-----

--------------6E7F29DFC3E8CA1C3E815CBC--

--ciXNjaac2zL5huxgBlf8GS7pJE8p6L9VZ--

--PsTTveT6pYYXdyKSeoTzdg9A7E8g8bpkM
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYVeZMgUDAAAAAAAKCRBfWBZkf4vlUSGG
AQCrhezvdXQIQeV/KWWoMKKR6g9aTFy29QXUzWKRmdA69gEAhOictq4jS/dadVZ6s5vsCVVW8Jed
Ed7te+YBi+ZiEgo=
=LzSg
-----END PGP SIGNATURE-----

--PsTTveT6pYYXdyKSeoTzdg9A7E8g8bpkM--




Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 1 Oct 2021 23:19:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 01 19:19:51 2021
Received: from localhost ([127.0.0.1]:57565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWRoj-00057L-KE
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 19:19:51 -0400
Received: from out10.migadu.com ([46.105.121.227]:58795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1mWRoc-000574-Cg
 for 49934 <at> debbugs.gnu.org; Fri, 01 Oct 2021 19:19:48 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1633130380;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=6Imo+2IIU1RCfUQmUSyONWKDeuty67PhxwqhNXA+t88=;
 b=ookbcYPk5scwibh63BlM8DFQzDObgnwbP2WPtycYyv4QKdk+SkgRzthJ32J6hkBAtyGKtC
 jZIn5/N5nDWgTJLoAfDdIp3ZhTpu/2U8FCtXoZVfExoquXd3Im67V16ES2rFYGFhJSe3dD
 AoGy9fL/2lupdEwOQrnn2oUE2Iso3+lp8VMNGoYFjYLjqf5BlgbDKkG4VhF2HdXPS/KKfL
 TsdR/2c71whoRn8dypDTjY8Ztx8uoxCgTbdKx0T8KHYX6mhjkjuFitRid93lVjIuXmJ0Pr
 qrQJEmiiHmqgZjMDw6pKQFYD32yUpUwnX4PkxfH7CrzMLegIYLiDwUbiDd5IGg==
From: Raghav Gururajan <rg@HIDDEN>
To: 49934 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add hw-probe.
Date: Fri,  1 Oct 2021 19:19:01 -0400
Message-Id: <20211001231901.24230-1-rg@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49934
Cc: Raghav Gururajan <rg@HIDDEN>, pelzflorian@HIDDEN,
 Petr Hodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/hardware.scm (hw-probe): New variable.

Co-authored-by: Petr Hodina <phodina@HIDDEN>
---
 gnu/packages/hardware.scm | 491 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 491 insertions(+)

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index d000ab8ce6..9a3fa86edc 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -26,20 +26,29 @@
 (define-module (gnu packages hardware)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages avahi)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages check)
   #:use-module (gnu packages cpp)
   #:use-module (gnu packages crypto)
+  #:use-module (gnu packages cups)
   #:use-module (gnu packages curl)
+  #:use-module (gnu packages debian)
+  #:use-module (gnu packages disk)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages package-management)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages openldap)
   #:use-module (gnu packages pciutils)
@@ -51,14 +60,19 @@
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages scanner)
+  #:use-module (gnu packages security-token)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages video)
   #:use-module (gnu packages virtualization)
+  #:use-module (gnu packages vulkan)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -70,6 +84,483 @@
 ;; This is a module for packages related to physical hardware that don't (yet)
 ;; have a more specific home like gps.scm, security-token.scm, &c.
 
+(define-public hw-probe
+  (package
+    (name "hw-probe")
+    (version "1.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/linuxhw/hw-probe")
+         (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1zyaardfw6r9nwxbkbb68hyl8719xn8sxpbgm7czkvsbjrim11n8"))))
+    (build-system perl-build-system)
+    (arguments
+     `(#:tests? #f                      ;no test target
+       #:imported-modules
+       (,@%perl-build-system-modules)
+       #:modules
+       ((guix build perl-build-system)
+        (guix build utils)
+        (srfi srfi-26))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out")))
+               ;; Correct install prefix.
+               (substitute* "Makefile"
+                 (("/usr") out)))
+             ;; Use absolute paths to referenced programs.
+             (substitute* "hw-probe.pl"
+               (("Cmd\\(\"acpi")
+                (format #f "Cmd(\"~a/bin/acpi"
+                        (assoc-ref inputs "acpi")))
+               (("Cmd\\(\"acpidump")
+                (format #f "Cmd(\"~a/bin/acpidump"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"acpixtract")
+                (format #f "Cmd(\"~a/bin/acpixtract"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"alsactl")
+                (format #f "Cmd(\"~a/bin/alsactl"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"amdconfig")
+               (format #f "Cmd(\"~a/bin/amdconfig"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"amixer")
+                (format #f "Cmd(\"~a/bin/amixer"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"apk")
+               (format #f "Cmd(\"~a/bin/apk"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"aplay")
+                (format #f "Cmd(\"~a/bin/aplay"
+                        (assoc-ref inputs "alsa-utils")))
+               #;(("Cmd\\(\"arcconf")
+               (format #f "Cmd(\"~a/bin/arcconf"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"arecord")
+                (format #f "Cmd(\"~a/bin/arecord"
+                        (assoc-ref inputs "alsa-utils")))
+               (("Cmd\\(\"avahi-browse")
+                (format #f "Cmd(\"~a/bin/avahi-browse"
+                        (assoc-ref inputs "avahi")))
+               (("Cmd\\(\"biosdecode")
+                (format #f "Cmd(\"~a/sbin/biosdecode"
+                        (assoc-ref inputs "dmidecode")))
+               (("=cat")
+                (format #f "=~a/bin/cat"
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"chmod")
+                (format #f "Cmd(\"~a/bin/chmod"
+                        (assoc-ref inputs "coreutils")))
+               (("\"chmod\"")
+                (format #f "\"~a/bin/chmod\""
+                        (assoc-ref inputs "coreutils")))
+               (("\"chown\"")
+                (format #f "\"~a/bin/chown\""
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"cpuid")
+                (format #f "Cmd(\"~a/bin/cpuid"
+                        (assoc-ref inputs "cpuid")))
+               (("Cmd\\(\"cpupower")
+                (format #f "Cmd(\"~a/bin/cpupower"
+                        (assoc-ref inputs "cpupower")))
+               (("Cmd\\(\"curl")
+                (format #f "Cmd(\"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("Cmd = \"curl")
+                (format #f "Cmd = \"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("Cmd = \\(\"curl")
+                (format #f "Cmd = (\"~a/bin/curl"
+                        (assoc-ref inputs "curl")))
+               (("\"date\"")
+                (format #f "\"~a/bin/date\""
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"dd")
+                (format #f "Cmd(\"~a/bin/dd"
+                        (assoc-ref inputs "coreutils")))
+               (("\"dd ")
+                (format #f "\"~a/bin/dd "
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"df")
+                (format #f "Cmd(\"~a/bin/df"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"dkms")
+               (format #f "Cmd(\"~a/bin/dkms"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"dmesg")
+                (format #f "Cmd(\"~a/bin/dmesg"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"dmidecode")
+                (format #f "Cmd(\"~a/sbin/dmidecode"
+                        (assoc-ref inputs "dmidecode")))
+               (("Cmd\\(\"dpkg")
+                (format #f "Cmd(\"~a/bin/dpkg"
+                        (assoc-ref inputs "dpkg")))
+               #;(("echo")
+               (format #f "~a/bin/echo"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"edid-decode")
+                (format #f "Cmd(\"~a/bin/edid-decode"
+                        (assoc-ref inputs "edid-decode")))
+               (("Cmd\\(\"efibootmgr")
+                (format #f "Cmd(\"~a/sbin/efibootmgr"
+                        (assoc-ref inputs "efibootmgr")))
+               (("Cmd\\(\"efivar")
+                (format #f "Cmd(\"~a/bin/efivar"
+                        (assoc-ref inputs "efivar")))
+               #;(("Cmd\\(\"eopkg")
+               (format #f "Cmd(\"~a/bin/eopkg"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"ethtool")
+                (format #f "Cmd(\"~a/sbin/ethtool"
+                        (assoc-ref inputs "ethtool")))
+               (("Cmd\\(\".*ethtool")
+                (format #f "Cmd(\"~a/sbin/ethtool"
+                        (assoc-ref inputs "ethtool")))
+               (("Cmd\\(\"fdisk")
+                (format #f "Cmd(\"~a/sbin/fdisk"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"fglrxinfo")
+               (format #f "Cmd(\"~a/bin/fglrxinfo"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"find")
+                (format #f "Cmd(\"~a/bin/find"
+                        (assoc-ref inputs "findutils")))
+               (("Cmd\\(\"findmnt")
+                (format #f "Cmd(\"~a/bin/findmnt"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd = \"findmnt")
+                (format #f "Cmd = \"~a/bin/findmnt"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"glxgears")
+                (format #f "Cmd(\"~a/bin/glxgears"
+                        (assoc-ref inputs "mesa-utils")))
+               (("Cmd\\(\"glxinfo")
+                (format #f "Cmd(\"~a/bin/glxinfo"
+                        (assoc-ref inputs "mesa-utils")))
+               #;(("grep")
+               (format #f "~a/bin/grep"
+               (assoc-ref inputs "grep")))
+               (("`head")
+                (format #f "`~a/bin/head"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"hciconfig")
+               (format #f "Cmd(\"~a/bin/hciconfig"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"hcitool")
+               (format #f "Cmd(\"~a/bin/hcitool"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"hddtemp")
+                (format #f "Cmd(\"~a/sbin/hddtemp"
+                        (assoc-ref inputs "hddtemp")))
+               (("Cmd\\(\"hdparm")
+                (format #f "Cmd(\"~a/sbin/hdparm"
+                        (assoc-ref inputs "hdparm")))
+               (("Cmd = \"hdparm")
+                (format #f "Cmd = \"~a/bin/hdparm"
+                        (assoc-ref inputs "hdparm")))
+               #;(("Cmd\\(\"hp-probe")
+               (format #f "Cmd(\"~a/bin/hp-probe"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"hwinfo")
+               (format #f "Cmd(\"~a/bin/hwinfo"
+               (assoc-ref inputs "hwinfo")))
+               #;(("Cmd = \"hwinfo")
+               (format #f "Cmd = \"~a/bin/hwinfo"
+               (assoc-ref inputs "hwinfo")))
+               (("Cmd\\(\"i2cdetect")
+                (format #f "Cmd(\"~a/sbin/i2cdetect"
+                        (assoc-ref inputs "i2c-tools")))
+               (("Cmd\\(\"iasl")
+                (format #f "Cmd(\"~a/bin/iasl"
+                        (assoc-ref inputs "acpica")))
+               (("Cmd\\(\"ifconfig")
+                (format #f "Cmd(\"~a/bin/ifconfig"
+                        (assoc-ref inputs "net-tools")))
+               (("Cmd\\(\"inxi")
+                (format #f "Cmd(\"~a/bin/inxi"
+                        (assoc-ref inputs "inxi")))
+               (("Cmd\\(\"iostat")
+                (format #f "Cmd(\"~a/bin/iostat"
+                        (assoc-ref inputs "sysstat")))
+               (("Cmd\\(\"ip")
+                (format #f "Cmd(\"~a/sbin/ip"
+                        (assoc-ref inputs "iproute2")))
+               (("Cmd\\(\".*ip")
+                (format #f "Cmd(\"~a/sbin/ip"
+                        (assoc-ref inputs "iproute2")))
+               (("Cmd\\(\"iw")
+                (format #f "Cmd(\"~a/sbin/iw"
+                        (assoc-ref inputs "iw")))
+               (("Cmd\\(\".*iw")
+                (format #f "Cmd(\"~a/sbin/iw"
+                        (assoc-ref inputs "iw")))
+               #;(("Cmd\\(\"iwconfig")
+               (format #f "Cmd(\"~a/bin/iwconfig"
+               (assoc-ref inputs "foobar")))
+               #;(("join")
+               (format #f "~a/bin/join"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"journalctl")
+               (format #f "Cmd(\"~a/bin/journalctl"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"ls")
+                (format #f "Cmd(\"~a/bin/ls"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"lsb_release")
+               (format #f "Cmd(\"~a/bin/lsb_release"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsblk")
+                (format #f "Cmd(\"~a/bin/lsblk"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd = \"lsblk")
+                (format #f "Cmd = \"~a/bin/lsblk"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"lscpu")
+                (format #f "Cmd(\"~a/bin/lscpu"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"lsinitrd")
+               (format #f "Cmd(\"~a/bin/lsinitrd"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsmod")
+                (format #f "Cmd(\"~a/bin/lsmod"
+                        (assoc-ref inputs "module-init-tools")))
+               (("Cmd\\(\"lspci")
+                (format #f "Cmd(\"~a/sbin/lspci"
+                        (assoc-ref inputs "pciutils")))
+               #;(("Cmd\\(\"lspnp")
+               (format #f "Cmd(\"~a/bin/lspnp"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"lsusb")
+                (format #f "Cmd(\"~a/bin/lsusb"
+                        (assoc-ref inputs "usbutils")))
+               (("Cmd\\(\"mcelog")
+                (format #f "Cmd(\"~a/sbin/mcelog"
+                        (assoc-ref inputs "mcelog")))
+               (("Cmd\\(\"md5sum")
+                (format #f "Cmd(\"~a/bin/md5sum"
+                        (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"megactl")
+               (format #f "Cmd(\"~a/bin/megactl"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"memtester")
+                (format #f "Cmd(\"~a/bin/memtester"
+                        (assoc-ref inputs "memtester")))
+               (("Cmd\\(\"mmcli")
+                (format #f "Cmd(\"~a/bin/mmcli"
+                        (assoc-ref inputs "modem-manager")))
+               (("Cmd\\(\"modinfo")
+                (format #f "Cmd(\"~a/sbin/modinfo"
+                        (assoc-ref inputs "module-init-tools")))
+               #;(("Cmd\\(\"monitor-get-edid")
+               (format #f "Cmd(\"~a/bin/monitor-get-edid"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"mount")
+                (format #f "Cmd(\"~a/bin/mount"
+                        (assoc-ref inputs "util-linux")))
+               #;(("Cmd\\(\"nm-tool")
+               (format #f "Cmd(\"~a/bin/nm-tool"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"nmcli")
+                (format #f "Cmd(\"~a/bin/nmcli"
+                        (assoc-ref inputs "network-manager")))
+               (("Cmd\\(\"numactl")
+                (format #f "Cmd(\"~a/bin/numactl"
+                        (assoc-ref inputs "numactl")))
+               (("Cmd\\(\"nvme")
+                (format #f "Cmd(\"~a/sbin/nvme"
+                        (assoc-ref inputs "nvme-cli")))
+               (("Cmd\\(\"opensc-tool")
+                (format #f "Cmd(\"~a/bin/opensc-tool"
+                        (assoc-ref inputs "opensc")))
+               #;(("Cmd\\(\"optirun")
+               (format #f "Cmd(\"~a/bin/optirun"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"pacman")
+               (format #f "Cmd(\"~a/bin/pacman"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"pstree")
+               (format #f "Cmd(\"~a/bin/pstree"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"rfkill")
+                (format #f "Cmd(\"~a/sbin/rfkill"
+                        (assoc-ref inputs "util-linux")))
+               (("Cmd\\(\"route")
+                (format #f "Cmd(\"~a/bin/route"
+                        (assoc-ref inputs "net-tools")))
+               (("Cmd\\(\"rpm")
+                (format #f "Cmd(\"~a/bin/rpm"
+                        (assoc-ref inputs "rpm")))
+               (("Cmd\\(\"sane-find-scanner")
+                (format #f "Cmd(\"~a/bin/sane-find-scanner"
+                        (assoc-ref inputs "sane-backends")))
+               (("Cmd\\(\"scanimage")
+                (format #f "Cmd(\"~a/bin/scanimage"
+                        (assoc-ref inputs "sane-backends")))
+               (("Cmd\\(\"sensors")
+                (format #f "Cmd(\"~a/bin/sensors"
+                        (assoc-ref inputs "lm-sensors")))
+               #;(("sha512sum")
+               (format #f "~a/bin/sha512sum"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"slabtop")
+                (format #f "Cmd(\"~a/bin/slabtop"
+                        (assoc-ref inputs "procps")))
+               #;(("sleep")
+               (format #f "~a/bin/sleep"
+               (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"smartctl")
+                (format #f "Cmd(\"~a/sbin/smartctl"
+                        (assoc-ref inputs "smartmontools")))
+               (("Cmd = \"smartctl")
+                (format #f "Cmd = \"~a/bin/smartctl"
+                        (assoc-ref inputs "smartmontools")))
+               #;(("sort")
+               (format #f "~a/bin/sort"
+               (assoc-ref inputs "coreutils")))
+               #;(("split")
+               (format #f "~a/bin/split"
+               (assoc-ref inputs "coreutils")))
+               #;(("= stat")
+               (format #f "= ~a/bin/stat"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"superiotool")
+               (format #f "Cmd(\"~a/bin/superiotool"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"swupd")
+               (format #f "Cmd(\"~a/bin/swupd"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"systemctl")
+               (format #f "Cmd(\"~a/bin/systemctl"
+               (assoc-ref inputs "foobar")))
+               #;(("Cmd\\(\"systemd-analyze")
+               (format #f "Cmd(\"~a/bin/systemd-analyze"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"top")
+                (format #f "Cmd(\"~a/bin/top"
+                        (assoc-ref inputs "procps")))
+               (("Cmd\\(\"udevadm")
+                (format #f "Cmd(\"~a/bin/udevadm"
+                        (assoc-ref inputs "eudev")))
+               (("Cmd\\(\"uname")
+                (format #f "Cmd(\"~a/bin/uname"
+                        (assoc-ref inputs "coreutils")))
+               #;(("unlink")
+               (format #f "~a/bin/unlink"
+               (assoc-ref inputs "coreutils")))
+               #;(("Cmd\\(\"update-alternatives")
+               (format #f "Cmd(\"~a/bin/update-alternatives"
+               (assoc-ref inputs "foobar")))
+               (("Cmd\\(\"upower")
+                (format #f "Cmd(\"~a/bin/upower"
+                        (assoc-ref inputs "upower")))
+               (("Cmd\\(\"uptime")
+                (format #f "Cmd(\"~a/bin/uptime"
+                        (assoc-ref inputs "coreutils")))
+               (("Cmd\\(\"usb-devices")
+                (format #f "Cmd(\"~a/bin/usb-devices"
+                        (assoc-ref inputs "usbutils")))
+               (("Cmd\\(\"vainfo")
+                (format #f "Cmd(\"~a/bin/vainfo"
+                        (assoc-ref inputs "libva-utils")))
+               (("Cmd\\(\"vdpauinfo")
+                (format #f "Cmd(\"~a/bin/vdpauinfo"
+                        (assoc-ref inputs "vdpauinfo")))
+               (("Cmd\\(\"vulkaninfo")
+                (format #f "Cmd(\"~a/bin/vulkaninfo"
+                        (assoc-ref inputs "vulkan-tools")))
+               (("Cmd\\(\"xdpyinfo")
+                (format #f "Cmd(\"~a/bin/xdpyinfo"
+                        (assoc-ref inputs "xdpyinfo")))
+               (("Cmd\\(\"xinput")
+                (format #f "Cmd(\"~a/bin/xinput"
+                        (assoc-ref inputs "xinput")))
+               (("Cmd\\(\"xrandr")
+                (format #f "Cmd(\"~a/bin/xrandr"
+                        (assoc-ref inputs "xrandr")))
+               (("Cmd\\(\"xvinfo")
+                (format #f "Cmd(\"~a/bin/xvinfo"
+                        (assoc-ref inputs "xvinfo"))))))
+         (delete 'configure)
+         (add-after 'install 'wrap-programs
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin-dir (string-append out "/bin/"))
+                    (perl-lib (getenv "PERL5LIB")))
+               (for-each
+                (cut wrap-program <>
+                     `("PERL5LIB" ":" prefix (,perl-lib)))
+                (find-files bin-dir))))))))
+    (inputs
+     `(("acpi" ,acpi)
+       ("acpica" ,acpica)
+       ("alsa-utils" ,alsa-utils)
+       ("avahi" ,avahi)
+       ("coreutils" ,coreutils)
+       ("cpuid" ,cpuid)
+       ("cpupower" ,cpupower)
+       ("curl" ,curl)
+       ("dmidecode" ,dmidecode)
+       ("dpkg" ,dpkg)
+       ("edid-decode" ,edid-decode)
+       ("efibootmgr" ,efibootmgr)
+       ("efivar" ,efivar)
+       ("eudev" ,eudev)
+       ("findutils" ,findutils)
+       ("grep" ,grep)
+       ("hddtemp" ,hddtemp)
+       ("hdparm" ,hdparm)
+       ("hplip" ,hplip-minimal)
+       ("i2c-tools" ,i2c-tools)
+       ("inxi" ,inxi)
+       ("iproute" ,iproute)
+       ("libva-utils" ,libva-utils)
+       ("lm-sensors" ,lm-sensors)
+       ("mcelog" ,mcelog)
+       ("memtester" ,memtester)
+       ("mesa-utils" ,mesa-utils)
+       ("modem-manager" ,modem-manager)
+       ("module-init-tools" ,module-init-tools)
+       ("net-tools" ,net-tools)
+       ("network-manager" ,network-manager)
+       ("numactl" ,numactl)
+       ("nvme-cli" ,nvme-cli)
+       ("opensc" ,opensc)
+       ("pciutils" ,pciutils)
+       ("perl-data-dumper" ,perl-data-dumper)
+       ("perl-digest-sha" ,perl-digest-sha)
+       ("perl-libwww" ,perl-libwww)
+       ;; ("pnputils" ,pnputils)
+       ("procps" ,procps)
+       ("rpm" ,rpm)
+       ("sane-backends" ,sane-backends)
+       ("smartmontools" ,smartmontools)
+       ("sysstat" ,sysstat)
+       ("upower" ,upower)
+       ("usbutils" ,usbutils)
+       ("util-linux" ,util-linux)
+       ("vdpauinfo" ,vdpauinfo)
+       ("vulkan-tools" ,vulkan-tools)
+       ("xdpyinfo" ,xdpyinfo)
+       ("xinput" ,xinput)
+       ("xrandr" ,xrandr)
+       ("xvinfo" ,xvinfo)))
+    (propagated-inputs
+     `(("hwinfo" ,hwinfo)))
+    (home-page "https://linux-hardware.org")
+    (synopsis "Hardware Probe")
+    (description "Hardware Probe is a tool to probe for hardware, check its
+operability and find drivers.")
+    (license license:lgpl2.1+)))
+
 (define-public hwinfo
   (package
     (name "hwinfo")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 30 Aug 2021 21:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 17:35:02 2021
Received: from localhost ([127.0.0.1]:60519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKovm-00005f-Fp
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 17:35:02 -0400
Received: from out0.migadu.com ([94.23.1.103]:37748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1mKovj-000055-C6
 for 49934 <at> debbugs.gnu.org; Mon, 30 Aug 2021 17:35:00 -0400
To: phodina@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1630359297;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=BBmJcv0AzcNCmj+BVTg8Ni+OUST6zsqhXQOp1QX45qo=;
 b=VWrpbAjKjQ2/MEHj1Cf8pbXtIPqQFi9dvNynYaZTfULlv6Noz9BK4fkRdf/WmLCdZTY3pv
 JF0F8jBh6rQeCnYwcBWVHwWeTBZMgWE4/c4Ou5UeHPtA3F/cZkirhxfWLOt5i1l05O4pUt
 H4CablTeKOIRPFjiLsr/zRxWXDI1MU29hpzQSSXQAtzIZmDjZWb+bgqqPPk2JpXhA8TYSb
 L903dg3l+Xb9YK0vs9hENx8mrCV+4EWzPV3Wqig2RYdwtacHW84ONDZJNEqsyfF8sOGYbm
 I7hsTXF4LR3PUkjcNYrFDkyTwMDhbM2LtQ0nvzBJ9ly8dVH0lHEgKTnyKMDLwg==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: Hw-Probe
Message-ID: <74a1ea51-8db7-f8c6-758b-e7cd7e484fe9@HIDDEN>
Date: Mon, 30 Aug 2021 17:34:50 -0400
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="wMXhLfqqDpptd1l8fWaAZOsjUI2k90cez"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49934
Cc: 49934 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--wMXhLfqqDpptd1l8fWaAZOsjUI2k90cez
Content-Type: multipart/mixed; boundary="wIkr8eMOopcLiEYnyKhf5BXc1Bt7ciib9";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: phodina@HIDDEN
Cc: 49934 <at> debbugs.gnu.org
Message-ID: <74a1ea51-8db7-f8c6-758b-e7cd7e484fe9@HIDDEN>
Subject: Re: Hw-Probe

--wIkr8eMOopcLiEYnyKhf5BXc1Bt7ciib9
Content-Type: multipart/mixed;
 boundary="------------03EC600AC033497329198B6B"
Content-Language: en-CA

This is a multi-part message in MIME format.
--------------03EC600AC033497329198B6B
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Petr!

I have merged #49934 and #50283.

I'll combine our patches and send a new one. :)

Regards,
RG.

--------------03EC600AC033497329198B6B
Content-Type: application/pgp-keys;
 name="OpenPGP_0x5F5816647F8BE551.asc"
Content-Transfer-Encoding: quoted-printable
Content-Description: OpenPGP public key
Content-Disposition: attachment;
 filename="OpenPGP_0x5F5816647F8BE551.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX2ZCJBYJKwYBBAHaRw8BAQdAdiUK33kml2dYjrWidlr4/v0pmjpUv7hOsBN/oSl5wx7NL=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJHKSA8cmdAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpMEExYIADsFC=
wkI
BwIGFQoJCAsCBBYCAwECHgECF4ACGQEWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYRS1pwIbI=
wAK
CRBfWBZkf4vlUbYYAQCe+UaQKTg+iaEL0XAuhyZgiMNpjoqrvlZCAb8ahNLe3AEA1/v+k2EjE=
ap/
lfeUSxuzy4MvYXxRRJMZ1C+qJs7MIgPNPVJhZ2hhdiBHdXJ1cmFqYW4gKEVkdWNhdGlvbikgP=
GVk
dWNhdGlvbkByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpjMs32pHWsF9YF=
mR/
i+VRBQJgE0xGAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i+VRQcQBALNRe=
1V/
5DKN8ZxyVQlzt4TdGUyNom7xJ6r23ANtcygxAQDBjw6NLXV3aYGDMVVmQPbdAnFiB/x1rpJsA=
wB/
1BSBDc05UmFnaGF2IEd1cnVyYWphbiAoRmluYW5jZSkgPGZpbmFuY2VAcmFnaGF2Z3VydXJha=
mFu
Lm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNMbwIbAwULCQgHAgYVC=
gkI
CwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUWnLAP914hb0IzSCiaj+XrcEBaIt/Q+KjRn2fj5A7=
V6Z
ucJJqwEA64eks7xjLBS3mpTpaGwdDtluJcR7G8XZJJdbdK2YyQ/NN1JhZ2hhdiBHdXJ1cmFqY=
W4g
KEhlYWx0aCkgPGhlYWx0aEByYWdoYXZndXJ1cmFqYW4ubmFtZT7CkAQTFggAOBYhBM0tXqqpj=
Ms3
2pHWsF9YFmR/i+VRBQJgE0yhAhsDBQsJCAcCBhUKCQgLAgQWAgMBAh4BAheAAAoJEF9YFmR/i=
+VR
xdcA/3YxFzlKKHrTguDxE1tBWD31BUYlXWl351j6MB/U+tWdAPwJB8QD8janaddv3U5ZGzswf=
hQv
GGzx6SLcX0E253uNC80/UmFnaGF2IEd1cnVyYWphbiAoT2NjdXBhdGlvbikgPG9jY3VwYXRpb=
25A
cmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCY=
BNM
ugIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUSrlAP0VJw8frvWHAGd6l=
Zdy
x1v+relUGB4DToqDgIMBQyG58gD+NU5t4h0IY6YaiQ+FPyJzdV62k15d9IDvTMYPvcWIpQPNP=
1Jh
Z2hhdiBHdXJ1cmFqYW4gKFJlY3JlYXRpb24pIDxyZWNyZWF0aW9uQHJhZ2hhdmd1cnVyYWphb=
i5u
YW1lPsKQBBMWCAA4FiEEzS1eqqmMyzfakdawX1gWZH+L5VEFAmATTNkCGwMFCwkIBwIGFQoJC=
AsC
BBYCAwECHgECF4AACgkQX1gWZH+L5VHhbQD/b6jXWdQfxi+xzrs1+A0lvnihfUgQ0H/r5U2bO=
w9d
FIkA/0nCh0VJKX+YrySJhWugL7e8ItqwKADh0v05vO6qtlkAzTdSYWdoYXYgR3VydXJhamFuI=
ChT
b2NpYWwpIDxzb2NpYWxAcmFnaGF2Z3VydXJhamFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN=
9qR
1rBfWBZkf4vlUQUCYBNM8AIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlU=
dtv
AQCKMxBdxwMUJdyigGWqrTuJUaLVL2dgvqGa0k39nsQA8gD+PH3LsQAaJ98xREKxYXMAszNnJ=
RJR
xYa9trfixyQbrw7NNVJhZ2hhdiBHdXJ1cmFqYW4gKFRyYWRlKSA8dHJhZGVAcmFnaGF2Z3Vyd=
XJh
amFuLm5hbWU+wpAEExYIADgWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYBNNHQIbAwULCQgHA=
gYV
CgkICwIEFgIDAQIeAQIXgAAKCRBfWBZkf4vlUQ+9AP0S/6S5PLshS/vz7ezRO2HokruaRiDhg=
w0t
yRM3LAefSQEA7rEBw9sSUsDgRILGKUi1ZzQq5AJ0F77KOXyurVqnywXOOARfZkIkEgorBgEEA=
ZdV
AQUBAQdAZgiqc2NhH/myrCCan9x7gKI6QBPZ/1b+Bz/f3n95ozkDAQgHwngEGBYIACAWIQTNL=
V6q
qYzLN9qR1rBfWBZkf4vlUQUCX2ZCJAIbDAAKCRBfWBZkf4vlUV/OAQD+tMNgmddPSchLpaDPp=
sdD
hpvra2uTonNUmnfbTvPgpQD/dG72NCT8hBUVqtzxwQmBrXY/nPEUxctYuvu3unUmzQU=3D
=3DooAX
-----END PGP PUBLIC KEY BLOCK-----

--------------03EC600AC033497329198B6B--

--wIkr8eMOopcLiEYnyKhf5BXc1Bt7ciib9--

--wMXhLfqqDpptd1l8fWaAZOsjUI2k90cez
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYS1O+gUDAAAAAAAKCRBfWBZkf4vlUbN8
AQC4YPSGQ1tv9b4kQwn62TMmDlDTUt3+plCwbJ+YyY79hQD/ZuIh+saUPWBMZKh821zbVBsIfYOL
36364cXfDs4fHwU=
=fsw0
-----END PGP SIGNATURE-----

--wMXhLfqqDpptd1l8fWaAZOsjUI2k90cez--




Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.
Merged 49934 50283. Request was from Raghav Gururajan <rg@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Hw-Probe' from '[PATCH 1/3] gnu: Add libx86emu' Request was from Raghav Gururajan <rg@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 9 Aug 2021 17:06:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 13:06:50 2021
Received: from localhost ([127.0.0.1]:57664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD8je-0001Fe-Hw
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 13:06:50 -0400
Received: from pelzflorian.de ([5.45.111.108]:56080 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1mD8jY-0001FR-W4
 for 49934 <at> debbugs.gnu.org; Mon, 09 Aug 2021 13:06:45 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 6D7B3360674;
 Mon,  9 Aug 2021 19:06:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1628528799;
 bh=L3roS8QGCXO9w86BJxQPTJz49DKzN5K2sBpO+QKvyiM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=uncEEoiFYoIEgIJQrxGnvNA1Eb2CEi8kz7R+mV2OrhC0B83Kt7gPSdJvkAWHnXB0a
 lWI1qLZQo6Sojx9xmqbXJH4tiSvGI2CouWC4QeHYXOW2AHiFHRCpe3n+Wcbq3FzlNt
 qDUOr4VAKm23qIlLxRJG9SRkdUva84DPKHr1Goz0=
Date: Mon, 9 Aug 2021 19:06:28 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: phodina <phodina@HIDDEN>
Subject: Re: [bug#49934] [PATCH 1/3] gnu: Add libx86emu
Message-ID: <20210809170628.4yx45hvxcso6zgng@HIDDEN>
References: <dv4hfMlNt3nZfXASs419gzeP1mFxIEOrH5yHul0FZWtEjR7Uv8ruRfTpr4ER4YkkvP0o8OQlqpe-lRZ4uwcztWBpayZU0GnmGOBDHyJEsps=@protonmail.com>
 <20210808101003.gf66cz5raojbic4c@HIDDEN>
 <sgyM-_cPSQaNG4jL5qj3s3AKIfAfN8gA47DKsfVvvhsHEa8XEjHklHs1p_Gi0Q82a03fxMdBV0__C5GXREDuj7ILhYigp54kdj0b9TJ3_hs=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <sgyM-_cPSQaNG4jL5qj3s3AKIfAfN8gA47DKsfVvvhsHEa8XEjHklHs1p_Gi0Q82a03fxMdBV0__C5GXREDuj7ILhYigp54kdj0b9TJ3_hs=@protonmail.com>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49934
Cc: 49934 <at> debbugs.gnu.org, Vincent Legoll <vincent.legoll@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Aug 09, 2021 at 12:00:00PM +0000, phodina wrote:
> Thanks. I didn't know there's a patch already. The aim of this one is to get the hwinfo and hw-prober to get the hardware details.

I think it is good to get your patch into shape and merged.  While I
haven’t been involved in package review (shame on me), I’ll give it a
try.

You should, after applying each of your patches, cd to the guix repo
and run `./etc/indent-code.el gnu/packages/hardware.scm` as described
in `info '(guix)Formatting Code'`.

`./pre-inst-env guix lint libx86emu` warns that your custom check
phase does not consider #:tests?  (i.e. it does not work with the
--without-tests transform option).

As for the package libx86emu proper:

> (define-public libx86emu
>   (package
>     (name "libx86emu")
>     (version "3.1")
>     (source (origin
>               (method git-fetch)
>               (uri (git-reference
>                     (url "https://github.com/wfeldt/libx86emu")
>                     (commit version)))
>               (file-name (git-file-name name version))
>               (sha256
>                (base32
>                 "104xqc6nj9rpi7knl3dfqvasf087hlz2n5yndb1iycw35a6j509b"))))
>     (build-system gnu-build-system)
>     (arguments
>      `(#:make-flags (list
>                      (string-append "CC=" ,(cc-for-target))
>                      (string-append "DESTDIR=" %output)
>                      (string-append "LIBDIR=/lib"))
>        #:phases (modify-phases %standard-phases
>                   (delete 'configure)
>                   (add-after 'unpack 'fix-version-and-usr
>                     (lambda* (#:key inputs #:allow-other-keys)
>                       (delete-file "git2log")

I am not sure, would it be better to delete this git2log in an origin
snippet?  I have not checked.



>                       (let* ((file (open-file "VERSION" "a")))
>                         (display ,version file)
>                         (close-port file))
>                       (substitute* "Makefile"
>                         (("/usr") "/"))))
>                   (replace 'check
>                     (lambda* _
>                       (invoke "make" "test"))))))
>     (native-inputs `(("git" ,git) ("perl" ,perl) ("nasm" ,nasm)))
>     (synopsis "Library for x86 emulation")
>     (description "Small library to emulate x86 instructions.  The focus here
> is not a complete emulation (go for qemu for this) but to cover enough for
> typical firmware blobs.

The start of the sentence is missing before @enumerate.  “You can”?

> @enumerate
> @item intercept any memory access or directly map real memory ranges
> @item intercept any i/o access, map real i/o ports, or block any real i/o
> @item intercept any interrupt
> @item provides hook to run after each instruction

Either “provides a hook” or “provides hooks”.


> @item recognizes a special x86 instruction that can trigger logging

s/recognizes/recognize/


> @item has integrated logging

Maybe s/has/use/


> @end enumerate")
>     (home-page "https://github.com/wfeldt/libx86emu")
>     (license license:bsd-1)))

The license is not bsd-1 but x11-style, I think.

Regards,
Florian




Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 9 Aug 2021 12:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 08:00:13 2021
Received: from localhost ([127.0.0.1]:56142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD3wz-0001An-1T
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 08:00:13 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:47943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mD3wu-00018t-4N
 for 49934 <at> debbugs.gnu.org; Mon, 09 Aug 2021 08:00:10 -0400
Date: Mon, 09 Aug 2021 12:00:00 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628510401;
 bh=J1EUQwu6klcMbYWauHiG+96JBhit/wlN3YzuKtu6mWY=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=SX4m483WlLW/y9VwFUoMqbFuyj1eO9Gsa4TnyKTojEhBeGnqYFlR0nObQInSaNhPZ
 xquuVvuJqn2ZtDp2FsDNVa5INIdU3oU2HBkmKjBrYI3fOcwZpQ3yEKjoNrCicvimEG
 sy4GUjrrxfJM3W48lHZJTMbzJynJeEadDlQVD7Jo=
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: Re: [bug#49934] [PATCH 1/3] gnu: Add libx86emu
Message-ID: <sgyM-_cPSQaNG4jL5qj3s3AKIfAfN8gA47DKsfVvvhsHEa8XEjHklHs1p_Gi0Q82a03fxMdBV0__C5GXREDuj7ILhYigp54kdj0b9TJ3_hs=@protonmail.com>
In-Reply-To: <20210808101003.gf66cz5raojbic4c@HIDDEN>
References: <dv4hfMlNt3nZfXASs419gzeP1mFxIEOrH5yHul0FZWtEjR7Uv8ruRfTpr4ER4YkkvP0o8OQlqpe-lRZ4uwcztWBpayZU0GnmGOBDHyJEsps=@protonmail.com>
 <20210808101003.gf66cz5raojbic4c@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49934
Cc: 49934 <at> debbugs.gnu.org, Vincent Legoll <vincent.legoll@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi

On Sunday, August 8th, 2021 at 12:10 PM, pelzflorian (Florian Pelz) <pelzfl=
orian@HIDDEN> wrote:

> On Sat, Aug 07, 2021 at 09:58:55PM +0000, phodina via Guix-patches via wr=
ote:
>
> > -   (home-page "https://github.com/wfeldt/libx86emu")
>
> FYI this is the same package as http://issues.guix.gnu.org/45744.
>
> I don=E2=80=99t know what became of it.

Thanks. I didn't know there's a patch already. The aim of this one is to ge=
t the hwinfo and hw-prober to get the hardware details.

I've not encountered this situation. So what do you think is the best appro=
ach?

Use the patch from Vincent Legoll and refactor the other two?

So that both issues are closed?

Kind regards
Petr




Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 8 Aug 2021 10:10:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 08 06:10:19 2021
Received: from localhost ([127.0.0.1]:53666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCfl5-0004Op-HO
	for submit <at> debbugs.gnu.org; Sun, 08 Aug 2021 06:10:19 -0400
Received: from pelzflorian.de ([5.45.111.108]:54392 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1mCfl0-0004Oc-EI
 for 49934 <at> debbugs.gnu.org; Sun, 08 Aug 2021 06:10:18 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id E7BE1360674;
 Sun,  8 Aug 2021 12:10:12 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1628417413;
 bh=plFz3Ya9IrGRabGTFFF+8E1N4VjeJOZhl1iG7TYbxdg=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=M+71rAWn6RJ1rfqU8Zdv8F9EDvtI/p/brOlPgUo79TdWw3IDQIajEmHtsW+bH6KVF
 kkTw9UFM+xdLCzUDQj6XzHR4CGTRPF4bjXC+QRJK9UUg6di9Oo0r+BjrQmE/itKX7O
 oXgxkCQBGugBY43KK6rNBqstM5a/jQg2XthCKxpo=
Date: Sun, 8 Aug 2021 12:10:03 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: phodina <phodina@HIDDEN>
Subject: Re: [bug#49934] [PATCH 1/3] gnu: Add libx86emu
Message-ID: <20210808101003.gf66cz5raojbic4c@HIDDEN>
References: <dv4hfMlNt3nZfXASs419gzeP1mFxIEOrH5yHul0FZWtEjR7Uv8ruRfTpr4ER4YkkvP0o8OQlqpe-lRZ4uwcztWBpayZU0GnmGOBDHyJEsps=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <dv4hfMlNt3nZfXASs419gzeP1mFxIEOrH5yHul0FZWtEjR7Uv8ruRfTpr4ER4YkkvP0o8OQlqpe-lRZ4uwcztWBpayZU0GnmGOBDHyJEsps=@protonmail.com>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49934
Cc: 49934 <at> debbugs.gnu.org, Vincent Legoll <vincent.legoll@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Aug 07, 2021 at 09:58:55PM +0000, phodina via Guix-patches via wrote:
> +  (home-page "https://github.com/wfeldt/libx86emu")

FYI this is the same package as <http://issues.guix.gnu.org/45744>.

I don’t know what became of it.





Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 7 Aug 2021 22:05:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 07 18:05:23 2021
Received: from localhost ([127.0.0.1]:53274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCURX-0001PJ-JW
	for submit <at> debbugs.gnu.org; Sat, 07 Aug 2021 18:05:23 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:62922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mCURV-0001P3-58
 for 49934 <at> debbugs.gnu.org; Sat, 07 Aug 2021 18:05:22 -0400
Date: Sat, 07 Aug 2021 22:05:08 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628373910;
 bh=AZHTuWgyD5RuYWxU8jkpNoo3otu75++Nat7XZ/6A/nE=;
 h=Date:To:From:Reply-To:Subject:From;
 b=dF7bHVTOeKFjDeCW1/noE6Ss5le8WSKW8IjHJu6p4LQJ/uIjfb+jb1/VDTjIQS7zd
 WBqMR0lHHyhNyJMz+ey530N6kviPxH6qDep2u3Z1iPmCDvVHGLXl5sctkDIsfCyiKT
 5GHXs6HdtSIv5sYMeQSx5b4551ZDfYqOdjtiYpUI=
To: "49934 <at> debbugs.gnu.org" <49934 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: Subject: [PATCH 3/3] gnu: Add hw-probe.
Message-ID: <9C5l8Fm8tD--N3SdfuqfU9MBY5U_LkGmOXPZsizoLoeb0pLSpABF4wcOfxN8F7z8_gaqeCluTS5Cs-IuAeaN9HGzM0hwDkpOSK5nVB7_Bqc=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49934
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/hardware.scm: (hw-probe): New variable.

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index bcba8bd9e4..1891dc475b 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -173,6 +173,36 @@ through the Display Data Channel Command Interface (@d=
fn{DDC/CI}) protocol.")
 human-readable format and checks if it conforms to the standards.")
       (license license:expat))))

+(define-public hw-probe
+(package
+  (name "hw-probe")
+  (version "f450cad0cf686756c32689595e6d0092933e5959") ; no tags
+  (source (origin
+            (method git-fetch)
+            (uri (git-reference
+             (url "https://github.com/linuxhw/hw-probe")
+             (commit version)))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32
+              "16qh5nzv42sg5r6bjg0a9vcmmva87vnw4d778b35zs5gm3gzw370"))))
+  (build-system gnu-build-system)
+  (arguments
+    '(#:tests? #f
+      #:make-flags (list (string-append "DESTDIR=3D" (assoc-ref %outputs "=
out")) "prefix=3D")
+      #:phases (modify-phases %standard-phases
+                (delete 'configure))))
+  (inputs `(("perl" ,perl)
+            ("hwinfo" ,hwinfo)))
+  (propagated-inputs `(("dmidecode" ,dmidecode)
+                       ("smartmontools" ,smartmontools)
+                       ("edid-decode" ,edid-decode)))
+  (synopsis "Probe for hardware, check operability and find drivers")
+  (description "Tool to probe for hardware, check operability and find dri=
vers
+with the help of Linux hardware database: https://linux-hardware.org")
+  (home-page "https://github.com/linuxhw/hw-probe")
+  (license license:lgpl2.1)))
+
 (define-public hwinfo
 (package
   (name "hwinfo")
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at 49934 <at> debbugs.gnu.org:


Received: (at 49934) by debbugs.gnu.org; 7 Aug 2021 22:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 07 18:04:00 2021
Received: from localhost ([127.0.0.1]:53270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCUQC-0001Mr-7T
	for submit <at> debbugs.gnu.org; Sat, 07 Aug 2021 18:04:00 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:35362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mCUQA-0001Mc-90
 for 49934 <at> debbugs.gnu.org; Sat, 07 Aug 2021 18:03:59 -0400
Date: Sat, 07 Aug 2021 22:03:47 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628373831;
 bh=1YI3W0R/wQ7qlbRGhqTiQgZT4HrpL6Rn2hJFkJXApKQ=;
 h=Date:To:From:Reply-To:Subject:From;
 b=rNabqTF1DtLUFQIPkDXHebB3qk3loGI6LndP4S8EkXztF2SaGxXqXWY4tk3qUkwGZ
 U2NaMmsmLiZzBPiE8UhEXjhMNm4nArESpKp2uedXU1Wz7/sCxuF24IzJnuGbvMo+b2
 yZZii7zlCVumQXIzvrmjRQ9OvQh3U4oGZdP5pd8w=
To: "49934 <at> debbugs.gnu.org" <49934 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: Subject: [PATCH 2/3] gnu: Add hwinfo.
Message-ID: <Y2ZfoOL2F4uQhWo1t9EjGsHJy8hWKBuENgPEPEKy2OXNCMDIjWkfqbZ5b91fPnvDAM2sWsElO3OtQCb8NDooEkr1X1wyGYf_oLSh42aQ7t0=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49934
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/hardware.scm: (hwinfo): New variable.

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index 93be54cb18..bcba8bd9e4 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -32,6 +32,7 @@
   #:use-module (gnu packages crypto)
   #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages flex)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages glib)
@@ -172,6 +173,54 @@ through the Display Data Channel Command Interface (@d=
fn{DDC/CI}) protocol.")
 human-readable format and checks if it conforms to the standards.")
       (license license:expat))))

+(define-public hwinfo
+(package
+  (name "hwinfo")
+  (version "21.75")
+  (source (origin
+            (method git-fetch)
+            (uri (git-reference
+             (url "https://github.com/openSUSE/hwinfo")
+             (commit version)))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32
+              "139bgzwi8iy1dz0g8mqpq9iig8klsmnb5c2sp0v7qgbgh7xxnqn3"))))
+  (build-system gnu-build-system)
+  (arguments
+    `(#:tests? #f ; no tests
+      ;; disable as there is a bug where the src/hd is not build as depend=
ency
+      #:parallel-build? #f
+      #:make-flags (list
+                    (string-append "DESTDIR=3D" %output)
+                    (string-append "LDFLAGS=3D-Lsrc -Wl,-rpath=3D" %output=
 "/lib")
+                    (string-append "CC=3D" ,(cc-for-target))
+                    (string-append "HWINFO_VERSION=3D" ,version))
+      #:phases (modify-phases %standard-phases
+                (delete 'configure)
+                (add-after 'unpack 'fix-sbin-and-flex
+                 (lambda* (#:key inputs #:allow-other-keys)
+                  (delete-file "git2log")
+                  (let* ((file (open-file "VERSION" "a")))
+                   (display ,version file)
+                   (close-port file))
+                  (substitute* "Makefile"
+                           (("/sbin") "/bin")
+                           (("/usr/lib.*") "/lib\n")
+                           (("^TARGETS.*") "TARGETS =3D hwinfo hwinfo.pc\n=
")
+                           (("/usr") "/"))
+                  (substitute* "src/isdn/cdb/Makefile"
+                           (("lex isdn_cdb.lex") "flex isdn_cdb.lex"))
+                  (substitute* "hwinfo.pc.in"
+                           (("prefix=3D/usr") (string-append "prefix=3D" %=
output))))))))
+  (native-inputs `(("flex" ,flex) ("perl" ,perl) ("pkg-config" ,pkg-config=
)))
+  (inputs `(("libx86emu" ,libx86emu) ("util-linux:lib" ,util-linux "lib"))=
)
+  (synopsis "Hardware information tool")
+  (description "Probe for the hardware present in the system.  It can be u=
sed
+to generate a system overview log which can be later used for support.")
+  (home-page "https://github.com/openSUSE/hwinfo")
+  (license license:gpl2)))
+
 (define-public i7z
   (let ((revision "0")
         (commit "1a41ff13db747e962456ddbb5ccb2b7fc43ca0cb"))
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Aug 2021 21:59:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 07 17:59:17 2021
Received: from localhost ([127.0.0.1]:53260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mCULd-0001EK-EO
	for submit <at> debbugs.gnu.org; Sat, 07 Aug 2021 17:59:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:39810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mCULZ-0001EA-Ly
 for submit <at> debbugs.gnu.org; Sat, 07 Aug 2021 17:59:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45020)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1mCULX-0007JY-OD
 for guix-patches@HIDDEN; Sat, 07 Aug 2021 17:59:13 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:41028)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1mCULV-0006wO-CI
 for guix-patches@HIDDEN; Sat, 07 Aug 2021 17:59:11 -0400
Date: Sat, 07 Aug 2021 21:58:55 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628373539;
 bh=PsfeW4ne7pTu/0Lra+tWYgG1tZLxwKQ0ux8PPjhFgKk=;
 h=Date:To:From:Reply-To:Subject:From;
 b=IzI+f9XrPZjY881TP+b8EQL/HuNM1sOirsSrGLayjJX+xzkCR+2xR/ztC4Bo3a05z
 2+Cha0jh0gu7kLuOAQoPGtmz4w9HxvuKuawRJsbmBZatkHRRMf++zLx5XIgxsWsM+i
 kcAR6aHZs72E3kfXtbVIHRZdAXCclFSuuAvChFaU=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 1/3] gnu: Add libx86emu
Message-ID: <dv4hfMlNt3nZfXASs419gzeP1mFxIEOrH5yHul0FZWtEjR7Uv8ruRfTpr4ER4YkkvP0o8OQlqpe-lRZ4uwcztWBpayZU0GnmGOBDHyJEsps=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.43.23; envelope-from=phodina@HIDDEN;
 helo=mail-4323.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/hardware.scm: (libx86emu): New variable.

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index 707a47fb4b..93be54cb18 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -4,6 +4,7 @@
 ;;; Copyright =C2=A9 2020 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright =C2=A9 2021 Evgeny Pisemsky <evgeny@HIDDEN>
 ;;; Copyright =C2=A9 2021 L=C3=A9o Le Bouter <lle-bout@HIDDEN>
+;;; Copyright =C2=A9 2021 Petr Hodina <phodina@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -22,6 +23,7 @@

 (define-module (gnu packages hardware)
   #:use-module (gnu packages admin)
+  #:use-module (gnu packages assembly)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages compression)
@@ -45,6 +47,7 @@
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages version-control)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xml)
@@ -256,6 +259,54 @@ specific SMBIOS tables.")
     (license
      (list license:osl2.1 license:gpl2+ license:bsd-3 license:boost1.0))))

+(define-public libx86emu
+(package
+  (name "libx86emu")
+  (version "3.1")
+  (source (origin
+            (method git-fetch)
+            (uri (git-reference
+             (url "https://github.com/wfeldt/libx86emu")
+             (commit version)))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32
+              "104xqc6nj9rpi7knl3dfqvasf087hlz2n5yndb1iycw35a6j509b"))))
+  (build-system gnu-build-system)
+  (arguments
+    `(#:make-flags (list
+                    (string-append "CC=3D" ,(cc-for-target))
+                    (string-append "DESTDIR=3D" %output)
+                    (string-append "LIBDIR=3D/lib"))
+      #:phases (modify-phases %standard-phases
+                (delete 'configure)
+                (add-after 'unpack 'fix-version-and-usr
+                 (lambda* (#:key inputs #:allow-other-keys)
+                  (delete-file "git2log")
+                  (let* ((file (open-file "VERSION" "a")))
+                   (display ,version file)
+                   (close-port file))
+                  (substitute* "Makefile"
+                           (("/usr") "/"))))
+                (replace 'check
+                 (lambda* _
+                  (invoke "make" "test"))))))
+  (native-inputs `(("git" ,git) ("perl" ,perl) ("nasm" ,nasm)))
+  (synopsis "Library for x86 emulation")
+  (description "Small library to emulate x86 instructions.  The focus here
+is not a complete emulation (go for qemu for this) but to cover enough for
+typical firmware blobs.
+@enumerate
+@item intercept any memory access or directly map real memory ranges
+@item intercept any i/o access, map real i/o ports, or block any real i/o
+@item intercept any interrupt
+@item provides hook to run after each instruction
+@item recognizes a special x86 instruction that can trigger logging
+@item has integrated logging
+@end enumerate")
+  (home-page "https://github.com/wfeldt/libx86emu")
+  (license license:bsd-1)))
+
 ;; Distinct from memtest86, which is obsolete.
 (define-public memtest86+
   (package
--
2.32.0




Acknowledgement sent to phodina <phodina@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49934; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Dec 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.